<?php

require_once get_template_directory() . '/includes/loader.php';

add_action( 'after_setup_theme', 'chartio_setup_theme' );
add_action( 'after_setup_theme', 'chartio_load_default_hooks' );


function chartio_setup_theme() {

	load_theme_textdomain( 'chartio', get_template_directory() . '/languages' );

	// Add default posts and comments RSS feed links to head.

	/*
	 * Let WordPress manage the document title.
	 * By adding theme support, we declare that this theme does not use a
	 * hard-coded <title> tag in the document head, and expect WordPress to
	 * provide it for us.
	 */
	add_theme_support( 'title-tag' );
	add_theme_support( 'custom-header' );
	add_theme_support( 'custom-background' );
	add_theme_support('woocommerce');
	add_theme_support('wc-product-gallery-lightbox');

	/*
	 * Enable support for Post Thumbnails on posts and pages.
	 *
	 * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
	 */
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'editor-styles' );


	// Set the default content width.
	$GLOBALS['content_width'] = 525;

	/*---------- Register image sizes ----------*/

	//Register image sizes
	add_image_size( 'chartio_214x214', 214, 214, true ); //'chartio_214x214 Causes Grid'
	add_image_size( 'chartio_230x320', 230, 320, true ); //'chartio_230x320 Causes Grid'
	add_image_size( 'chartio_390x302', 390, 302, true ); //'chartio_390x302 Causes Grid'
	add_image_size( 'chartio_480x510', 480, 510, true ); //'chartio_480x510 Causes Grid'
	add_image_size( 'chartio_960x510', 960, 510, true ); //'chartio_960x510 Causes Grid'
	add_image_size( 'chartio_327x311', 327, 311, true ); //'chartio_327x311 Causes Carousel'
	add_image_size( 'chartio_610x485', 610, 485, true ); //'chartio_610x485 Causes Carousel'
	add_image_size( 'chartio_387x309', 387, 309, true ); //'chartio_387x309 Causes Carousel'
	add_image_size( 'chartio_382x618', 382, 618, true ); //'chartio_382x618 Causes Carousel'
	add_image_size( 'chartio_387x306', 387, 306, true ); //'chartio_387x306 Causes Carousel'
	add_image_size( 'chartio_402x558', 402, 558, true ); //'chartio_402x558 Causes Tabs'
	add_image_size( 'chartio_407x207', 407, 207, true ); //'chartio_407x207 Event Grid'
	add_image_size( 'chartio_595x313', 595, 313, true ); //'chartio_595x313 Event Grid'
	add_image_size( 'chartio_371x418', 371, 418, true ); //'chartio_371x418 Team Grid'
	add_image_size( 'chartio_307x417', 307, 417, true ); //'chartio_307x417 Team Grid'
	add_image_size( 'chartio_383x359', 383, 359, true ); //'chartio_383x359 Gallery Grid'
	add_image_size( 'chartio_699x412', 699, 412, true ); //'chartio_699x412 Blog Grid'
	add_image_size( 'chartio_390x470', 390, 470, true ); //'chartio_390x470 Blog Grid'
	add_image_size( 'chartio_390x284', 390, 284, true ); //'chartio_390x284 Blog Grid'
	add_image_size( 'chartio_595x335', 595, 335, true ); //'chartio_595x335 Blog Grid'
	add_image_size( 'chartio_157x155', 157, 155, true ); //'chartio_157x155 Testimonial Carousel'
	add_image_size( 'chartio_168x168', 168, 168, true ); //'chartio_168x168 Testimonial Carousel'
	add_image_size( 'chartio_350x245', 350, 245, true ); //'chartio_350x245 Service Grid'
	add_image_size( 'chartio_143x121', 143, 121, true ); //'chartio_143x121 Footer Gallery'
	add_image_size( 'chartio_73x73', 73, 73, true ); //'chartio_73x73 Footer Two Gallery'
	add_image_size( 'chartio_84x84', 84, 84, true ); //'chartio_84x84 Testimonial Thumb'
	add_image_size( 'chartio_100x93', 100, 93, true ); //'chartio_100x93 Popular Post Widget'
	add_image_size( 'chartio_292x370', 292, 370, true ); //'chartio_292x370 Shop Archive'
	add_image_size( 'chartio_1170x427', 1170, 427, true ); //'chartio_1170x427 Event Single'
	add_image_size( 'chartio_1170x348', 1170, 348, true ); //'chartio_1170x348 Blog Archive'
	add_image_size( 'chartio_1170x495', 1170, 495, true ); //'chartio_1170x495 Blog Detials'

	/*---------- Register image sizes ends ----------*/



	// This theme uses wp_nav_menu() in two locations.
	register_nav_menus( array(
		'main_menu' => esc_html__( 'Main Menu', 'chartio' ),
	) );

	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );

	// Add theme support for Custom Logo.
	add_theme_support( 'custom-logo', array(
		'width'      => 250,
		'height'     => 250,
		'flex-width' => true,
	) );

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );

	/*
	 * This theme styles the visual editor to resemble the theme style,
	 * specifically font, colors, and column width.
 	 */
	add_editor_style();
	add_action( 'admin_init', 'chartio_admin_init', 2000000 );
}

/**
 * [chartio_admin_init]
 *
 * @param  array $data [description]
 *
 * @return [type]       [description]
 */


function chartio_admin_init() {
	remove_action( 'admin_notices', array( 'ReduxFramework', '_admin_notices' ), 99 );
}

/*---------- Sidebar settings ----------*/

/**
 * [chartio_widgets_init]
 *
 * @param  array $data [description]
 *
 * @return [type]       [description]
 */
function chartio_widgets_init() {

	global $wp_registered_sidebars;

	$theme_options = get_theme_mod( 'chartio' . '_options-mods' );

	register_sidebar( array(
		'name'          => esc_html__( 'Default Sidebar', 'chartio' ),
		'id'            => 'default-sidebar',
		'description'   => esc_html__( 'Widgets in this area will be shown on the right-hand side.', 'chartio' ),
		'before_widget'=>'<div id="%1$s" class="widget sidebar-widget %2$s">',
	    'after_widget'=>'</div>',
	    'before_title'  => '<div class="sidebar-title"><h5>',
	    'after_title'   => '</h5></div>',
	) );
	register_sidebar(array(
		'name' => esc_html__('Footer Widget', 'chartio'),
		'id' => 'footer-sidebar',
		'description' => esc_html__('Widgets in this area will be shown in Footer Area.', 'chartio'),
		'before_widget'=>'<div class="column col-lg-6 col-md-6 col-sm-12"><div id="%1$s" class="footer-widget  %2$s">',
		'after_widget'=>'</div></div>',
		'before_title' => '<h5>',
		'after_title' => '</h5>'
	));
	if ( class_exists( '\Elementor\Plugin' )){
	register_sidebar(array(
		'name' => esc_html__('Footer Widget Two', 'chartio'),
		'id' => 'footer-sidebar-2',
		'description' => esc_html__('Widgets in this area will be shown in Footer Area.', 'chartio'),
		'before_widget'=>'<div class="footer-column col-lg-3 col-md-6 col-sm-12"><div id="%1$s" class="footer-widget  %2$s">',
		'after_widget'=>'</div></div>',
		'before_title' => '<h5>',
		'after_title' => '</h5>'
	));
	register_sidebar(array(
		'name' => esc_html__('Services Widget', 'chartio'),
		'id' => 'service-sidebar',
		'description' => esc_html__('Widgets in this area will be shown in Services Area.', 'chartio'),
		'before_widget'=>'<div id="%1$s" class="service-widget sidebar-widget %2$s">',
		'after_widget'=>'</div>',
		'before_title' => '<h5>',
		'after_title' => '</h5>'
	));
	register_sidebar(array(
	  'name' => esc_html__( 'Blog Listing', 'chartio' ),
	  'id' => 'blog-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown on the right-hand side.', 'chartio' ),
	  'before_widget'=>'<div id="%1$s" class="widget sidebar-widget %2$s">',
	  'after_widget'=>'</div>',
	  'before_title'  => '<div class="sidebar-title"><h5>',
	  'after_title'   => '</h5></div>',
	));
	}

	if ( ! is_object( chartio_WSH() ) ) {
		return;
	}

	$sidebars = chartio_set( $theme_options, 'custom_sidebar_name' );

	foreach ( array_filter( (array) $sidebars ) as $sidebar ) {

		if ( chartio_set( $sidebar, 'topcopy' ) ) {
			continue;
		}

		$name = $sidebar['sidebar'];
		if ( ! $name ) {
			continue;
		}
		$slug = str_replace( ' ', '_', $name );

		register_sidebar( array(
			'name'          => $name,
			'id'            => sanitize_title( $slug ),
			'before_widget' => '<div id="%1$s" class="%2$s widget sidebar-widget ">',
			'after_widget'  => '</div>',
			'before_title'  => '<div class="sidebar-title"><h5>',
			'after_title'   => '</h5></div>',
		) );
	}

	update_option( 'wp_registered_sidebars', $wp_registered_sidebars );
}

add_action( 'widgets_init', 'chartio_widgets_init' );

/*---------- Sidebar settings ends ----------*/

/*---------- Gutenberg settings ----------*/

function chartio_gutenberg_editor_palette_styles() {
    add_theme_support( 'editor-color-palette', array(
        array(
            'name' => esc_html__( 'strong yellow', 'chartio' ),
            'slug' => 'strong-yellow',
            'color' => '#f7bd00',
        ),
        array(
            'name' => esc_html__( 'strong white', 'chartio' ),
            'slug' => 'strong-white',
            'color' => '#fff',
        ),
		array(
            'name' => esc_html__( 'light black', 'chartio' ),
            'slug' => 'light-black',
            'color' => '#242424',
        ),
        array(
            'name' => esc_html__( 'very light gray', 'chartio' ),
            'slug' => 'very-light-gray',
            'color' => '#797979',
        ),
        array(
            'name' => esc_html__( 'very dark black', 'chartio' ),
            'slug' => 'very-dark-black',
            'color' => '#000000',
        ),
    ) );

	add_theme_support( 'editor-font-sizes', array(
		array(
			'name' => esc_html__( 'Small', 'chartio' ),
			'size' => 10,
			'slug' => 'small'
		),
		array(
			'name' => esc_html__( 'Normal', 'chartio' ),
			'size' => 15,
			'slug' => 'normal'
		),
		array(
			'name' => esc_html__( 'Large', 'chartio' ),
			'size' => 24,
			'slug' => 'large'
		),
		array(
			'name' => esc_html__( 'Huge', 'chartio' ),
			'size' => 36,
			'slug' => 'huge'
		)
	) );

}
add_action( 'after_setup_theme', 'chartio_gutenberg_editor_palette_styles' );

/*---------- Gutenberg settings ends ----------*/

/*---------- Enqueue Styles and Scripts ----------*/

function chartio_enqueue_scripts() {
	//styles
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/assets/css/bootstrap.css' );
	wp_enqueue_style( 'chartio-global', get_template_directory_uri() . '/assets/css/global.css' );
	wp_enqueue_style( 'chartio-rtl', get_template_directory_uri() . '/assets/css/rtl.css' );
	wp_enqueue_style( 'owl', get_template_directory_uri() . '/assets/css/owl.css' );
	wp_enqueue_style( 'chartio-header', get_template_directory_uri() . '/assets/css/header.css' );
	wp_enqueue_style( 'chartio-footer', get_template_directory_uri() . '/assets/css/footer.css' );
	wp_enqueue_style( 'animate', get_template_directory_uri() . '/assets/css/animate.css' );
	wp_enqueue_style( 'jquery-ui', get_template_directory_uri() . '/assets/css/jquery-ui.css' );
	wp_enqueue_style( 'chartio-swiper', get_template_directory_uri() . '/assets/css/swiper.min.css' );
	wp_enqueue_style( 'chartio-font-awesome', get_template_directory_uri() . '/assets/css/font-awesome.css' );
	wp_enqueue_style( 'custom-animate', get_template_directory_uri() . '/assets/css/custom-animate.css' );
	wp_enqueue_style( 'magnific-popup', get_template_directory_uri() . '/assets/css/magnific-popup.css' );
	wp_enqueue_style( 'flaticon-chartio-flat', get_template_directory_uri() . '/assets/css/flaticon_chartio-flat.css' );
	wp_enqueue_style( 'odometer-theme-default', get_template_directory_uri() . '/assets/css/odometer-theme-default.css' );
	wp_enqueue_style( 'jquery-bootstrap-touchspin', get_template_directory_uri() . '/assets/css/jquery.bootstrap-touchspin.css' );
	wp_enqueue_style( 'chartio-main', get_stylesheet_uri() );
	wp_enqueue_style( 'chartio-main-style', get_template_directory_uri() . '/assets/css/style.css');
	wp_enqueue_style( 'chartio-custom', get_template_directory_uri() . '/assets/css/custom.css' );
	wp_enqueue_style( 'chartio-woocommerce', get_template_directory_uri() . '/assets/css/woocommerce.css' );
	wp_enqueue_style( 'chartio-responsive', get_template_directory_uri() . '/assets/css/responsive.css' );

    //scripts
	wp_enqueue_script( 'jquery-ui-core');
	wp_enqueue_script( 'popper', get_template_directory_uri().'/assets/js/popper.min.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'bootstrap', get_template_directory_uri().'/assets/js/bootstrap.min.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'appear', get_template_directory_uri().'/assets/js/appear.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'parallax', get_template_directory_uri().'/assets/js/parallax.min.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'tilt-jquery', get_template_directory_uri().'/assets/js/tilt.jquery.min.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'jquery-paroller', get_template_directory_uri().'/assets/js/jquery.paroller.min.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'owl', get_template_directory_uri().'/assets/js/owl.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'wow', get_template_directory_uri().'/assets/js/wow.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'jarallax', get_template_directory_uri().'/assets/js/jarallax.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'swiper', get_template_directory_uri().'/assets/js/swiper.min.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'backtotop', get_template_directory_uri().'/assets/js/backtotop.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'odometer', get_template_directory_uri().'/assets/js/odometer.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'parallax-scroll', get_template_directory_uri().'/assets/js/parallax-scroll.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'gsap', get_template_directory_uri().'/assets/js/gsap.min.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'splittext', get_template_directory_uri().'/assets/js/SplitText.min.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'scrolltrigger', get_template_directory_uri().'/assets/js/ScrollTrigger.min.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'scrolltoplugin', get_template_directory_uri().'/assets/js/ScrollToPlugin.min.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'scrollsmoother', get_template_directory_uri().'/assets/js/ScrollSmoother.min.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'magnific-popup', get_template_directory_uri().'/assets/js/magnific-popup.min.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'nav-tool', get_template_directory_uri().'/assets/js/nav-tool.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'chartio-main-script', get_template_directory_uri().'/assets/js/script.js', array(), false, true );
	if( is_singular() ) wp_enqueue_script('comment-reply');
}
add_action( 'wp_enqueue_scripts', 'chartio_enqueue_scripts' );

/*---------- Enqueue styles and scripts ends ----------*/

/*---------- Google fonts ----------*/

function chartio_fonts_url() {

	$fonts_url = '';

		$font_families['Outfit']  	 = 'Outfit:300,400,500,600,700,800,900';
		$font_families['Fredoka'] 	 = 'Fredoka:300,400,500,600,700';
		$font_families['DM+Sans'] 	 = 'DM Sans:400,500,700';
		$font_families['Poppins'] 	 = 'Poppins:300,400,500,600,700,800,900';
		$font_families['Sacramento'] = 'Sacramento:';
		$font_families['Roboto']     = 'Roboto:300,400,500,700,900';

		$font_families = apply_filters( 'CHARTIO/includes/classes/header_enqueue/font_families', $font_families );

		$query_args = array(
			'family' => urlencode( implode( '|', $font_families ) ),
			'subset' => urlencode( 'latin,latin-ext' ),
		);

		$protocol  = is_ssl() ? 'https' : 'http';
		$fonts_url = add_query_arg( $query_args, $protocol . '://fonts.googleapis.com/css' );

		return esc_url_raw($fonts_url);

}

function chartio_theme_styles() {
    wp_enqueue_style( 'chartio-theme-fonts', chartio_fonts_url(), array(), null );
}

add_action( 'wp_enqueue_scripts', 'chartio_theme_styles' );
add_action( 'admin_enqueue_scripts', 'chartio_theme_styles' );

/*---------- Google fonts ends ----------*/

/*---------- More functions ----------*/

// 1) chartio_set function

/**
 * [chartio_set description]
 *
 * @param  array $data [description]
 *
 * @return [type]       [description]
 */
if ( ! function_exists( 'chartio_set' ) ) {
	function chartio_set( $var, $key, $def = '' ) {

		if ( is_object( $var ) && isset( $var->$key ) ) {
			return $var->$key;
		} elseif ( is_array( $var ) && isset( $var[ $key ] ) ) {
			return $var[ $key ];
		} elseif ( $def ) {
			return $def;
		} else {
			return false;
		}
	}
}

// 2) chartio_add_editor_styles function

function chartio_add_editor_styles() {
    add_editor_style( 'editor-style.css' );
}
add_action( 'admin_init', 'chartio_add_editor_styles' );

// 3) Add specific CSS class by filter body class.

$options = chartio_WSH()->option();
if( chartio_set($options, 'boxed_wrapper') ){

add_filter( 'body_class', function( $classes ) {
    $classes[] = 'boxed_wrapper';
    return $classes;
} );
}

// 4) chartio_related_products_limit function

function chartio_related_products_limit() {
  global $product;

	$args['posts_per_page'] = 6;
	return $args;
}
add_filter( 'woocommerce_output_related_products_args', 'chartio_related_products_args', 20 );
  function chartio_related_products_args( $args ) {
	$args['posts_per_page'] = 3; // 4 related products
	$args['columns'] = 1; // arranged in 2 columns
	return $args;
}

/*---------- More functions ends ----------*/
function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1717516676875';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        