<?php
return array(
	'title'      => esc_html__( '404 Page Settings', 'chartio' ),
	'id'         => '404_setting',
	'desc'       => '',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'      => '404_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( '404 Source Type', 'chartio' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'chartio' ),
				'e' => esc_html__( 'Elementor', 'chartio' ),
			),
			'default' => 'd',
		),
		array(
			'id'       => '404_elementor_template',
			'type'     => 'select',
			'title'    => __( 'Template', 'chartio' ),
			'options'     => 'posts',
			'query_args'     => [
				'post_type' => [ 'elementor_library' ],
			],
			'dependency' => array( '404_source_type', '==', 'e' ),
		),
		array(
			'id'       => '404_default_st',
			'type'     => 'heading',
			'content'    => esc_html__( '404 Default', 'chartio' ),
			'dependency' => [ '404_source_type', '==', 'd' ],
		),
		array(
			'id'      => '404_page_banner',
			'type'    => 'switcher',
			'title'   => esc_html__( 'Show Banner', 'chartio' ),
			'desc'    => esc_html__( 'Enable to show banner on blog', 'chartio' ),
			'default' => true,
			'dependency' => [ '404_source_type', '==', 'd' ],
		),
		array(
			'id'       => '404_banner_title',
			'type'     => 'text',
			'title'    => esc_html__( 'Banner Section Title', 'chartio' ),
			'desc'     => esc_html__( 'Enter the title to show in banner section', 'chartio' ),
			'dependency' => [
				array( '404_page_banner', '==', true ),
				[ '404_source_type', '==', 'd' ],
			],
		),
		array(
			'id'       => '404_page_background',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Background Image', 'chartio' ),
			'desc'     => esc_html__( 'Insert background image for banner', 'chartio' ),			
			'dependency' => [
				array( '404_page_banner', '==', true ),
				[ '404_source_type', '==', 'd' ],
			],
		),
		
		array(
			'id'       => 'error_page_image',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Error Image', 'chartio' ),
			'desc'     => esc_html__( 'Insert error image', 'chartio' ),
			'default'  => '',
			'dependency' => array( '404_source_type', '==', 'd' ),
		),
		array(
			'id'    => '404-page_title',
			'type'  => 'text',
			'title' => esc_html__( '404 Title', 'chartio' ),
			'desc'  => esc_html__( 'Enter 404 section title that you want to show', 'chartio' ),
			'dependency'	=> array( '404_source_type', '==', 'd' ),
		),
		array(
			'id'    => 'back_home_btn',
			'type'  => 'switcher',
			'title' => esc_html__( 'Show Button', 'chartio' ),
			'desc'  => esc_html__( 'Enable to show back to home button.', 'chartio' ),
			'default'  => true,
			'dependency'	=> array( '404_source_type', '==', 'd' ),
		),
		array(
			'id'       => 'back_home_btn_label',
			'type'     => 'text',
			'title'    => esc_html__( 'Button Label', 'chartio' ),
			'desc'     => esc_html__( 'Enter back to home button label that you want to show.', 'chartio' ),
			'default'  => esc_html__( 'Go To Home', 'chartio' ),
			'dependency' => array( 
				array( 'back_home_btn', '==', true ),
				array( '404_source_type', '==', 'd' ),
			),
		),
	),
);