<?php







return array(



	'title'  => esc_html__( 'Blog Page Settings', 'chartio' ),



	'id'     => 'blog_setting',



	'desc'   => '',



	'icon'   => 'el el-indent-left',



	'fields' => array(



		array(



			'id'      => 'blog_source_type',



			'type'    => 'button_set',



			'title'   => esc_html__( 'Blog Source Type', 'chartio' ),



			'options' => array(



				'd' => esc_html__( 'Default', 'chartio' ),



				'e' => esc_html__( 'Elementor', 'chartio' ),



			),



			'default' => 'd',



		),



		array(



			'id'       => 'blog_elementor_template',



			'type'     => 'select',



			'title'    => __( 'Template', 'chartio' ),



			'options'     => 'posts',



			'query_args'     => [



				'post_type' => [ 'elementor_library' ],



				'posts_per_page'=> -1,



			],



			'dependency' => [ 'blog_source_type', '==', 'e' ],



		),







		array(



			'id'       => 'blog_default_st',



			'type'     => 'heading',



			'content'    => esc_html__( 'Blog Default', 'chartio' ),



			'indent'   => true,



			'dependency' => [ 'blog_source_type', '==', 'd' ],



		),



		array(



			'id'      => 'blog_page_banner',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Banner', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show banner on blog', 'chartio' ),



			'default' => true,



			'dependency' => [ 'blog_source_type', '==', 'd' ],



		),



		array(



			'id'       => 'blog_banner_title',



			'type'     => 'text',



			'title'    => esc_html__( 'Banner Section Title', 'chartio' ),



			'desc'     => esc_html__( 'Enter the title to show in banner section', 'chartio' ),



			'dependency' => array(



				array( 'blog_page_banner', '==', true ),



				array( 'blog_source_type', '==', 'd' ),



			),



		),



		array(



			'id'       => 'blog_page_background',



			'type'     => 'media',



			'url'      => true,



			'title'    => esc_html__( 'Background Image', 'chartio' ),



			'desc'     => esc_html__( 'Insert background image for banner', 'chartio' ),



			'default'  => array(



				'url' => CHARTIO_URI . 'assets/images/background/1.jpg',



			),



			'dependency' => array(



				array( 'blog_page_banner', '==', true ),



				array( 'blog_source_type', '==', 'd' ),



			),



		),







		array(



			'id'       => 'blog_sidebar_layout',



			'type'     => 'image_select',



			'title'    => esc_html__( 'Layout', 'chartio' ),



			'subtitle' => esc_html__( 'Select main content and sidebar alignment.', 'chartio' ),



			'options'  => array(



				'left'  => get_template_directory_uri() . '/assets/images/redux/2cl.png',



				'full' => get_template_directory_uri() . '/assets/images/redux/1col.png',



				'right' => get_template_directory_uri() . '/assets/images/redux/2cr.png',



			),







			'default' => 'right',



			'dependency' => array(



				array( 'blog_source_type', '==', 'd' ),



			),



		),







		array(



			'id'       => 'blog_page_sidebar',



			'type'     => 'select',



			'title'    => esc_html__( 'Sidebar', 'chartio' ),



			'desc'     => esc_html__( 'Select sidebar to show at blog listing page', 'chartio' ),



			'dependency' => array(



				array( 'blog_sidebar_layout', '!=', 'full' ),



				array( 'blog_source_type', '==', 'd' ),



			),



			'options'  => 'sidebars',



		),



		array(



			'id'      => 'single_post_comments',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Post Comments', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show post comments on posts listing', 'chartio' ),



			'default' => true,



			'dependency' => array(



				array( 'blog_source_type', '==', 'd' ),



			),



		),







		array(



			'id'      => 'single_post_author',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Author', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show author on posts listing', 'chartio' ),



			'default' => true,



			'dependency' => array(



				array( 'blog_source_type', '==', 'd' ),



			),



		),



		array(



			'id'      => 'blog_post_date',



			'type'    => 'switcher',



			'title'   => esc_html__( 'Show Post Date', 'chartio' ),



			'desc'    => esc_html__( 'Enable to show post data on posts listing', 'chartio' ),



			'default' => true,



			'dependency' => array(



				array( 'blog_source_type', '==', 'd' ),



			),



		),



	),



);























