<?php
return array(
	'title'      => esc_html__( 'Footer Setting', 'chartio' ),
	'id'         => 'footer_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(		
		array(
			'id'      => 'footer_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Footer Source Type', 'chartio' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'chartio' ),
				'e' => esc_html__( 'Elementor', 'chartio' ),
			),
			'default' => 'd',
		),
		array(
			'id'       => 'footer_elementor_template',
			'type'     => 'select',
			'title'    => __( 'Template', 'chartio' ),
			'options'     => 'posts',
			'query_args'     => [
				'post_type' => [ 'elementor_library' ],
				'posts_per_page'	=> -1
			],
			'chosen'	=> true,
			'ajax'	=> true,
			'settings'	=> array(
				'min_length'	=> 1,
			),
			'dependency' => [ 'footer_source_type', '==', 'e' ],
		),
		
		array(
		    'id'       => 'footer_style_settings',
		    'type'     => 'image_select',
		    'title'    => esc_html__( 'Choose Footer Styles', 'chartio' ),
		    'subtitle' => esc_html__( 'Choose Footer Styles', 'chartio' ),
		    'options'  => array(
			    //'footer_v1'  => get_template_directory_uri() . '/assets/images/redux/footer/footer1.png',
			    'footer_v2'  => get_template_directory_uri() . '/assets/images/redux/footer/footer2.png',
			),
			'dependency' => array( 'footer_source_type', '==', 'd' ),
			'default' => 'footer_v2',
	    ),
		
		
		/***********************************************************************
								Footer Version 1 Start
		************************************************************************/
		array(
			'id'       => 'footer_v1_settings_section_start',
			'type'     => 'heading',
			'indent'      => true,
			'content'    => esc_html__( 'Footer Style One Settings', 'chartio' ),
			'dependency' => array( 'footer_source_type|footer_style_settings', '==|==', 'd|footer_v1' ),
		),
		array(
			'id'       => 'footer_bg_img_v1',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Footer BG Image', 'chartio' ),
			'subtitle' => esc_html__( 'Insert Footer BG Image', 'chartio' ),
			'dependency' => array( 'footer_source_type|footer_style_settings', '==|==', 'd|footer_v1' ),
		),
		array(
			'id'       => 'footer_pattern_img_v1',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Footer BG Pattern Image', 'chartio' ),
			'subtitle' => esc_html__( 'Insert Footer BG Pattern Image', 'chartio' ),
			'dependency' => array( 'footer_source_type|footer_style_settings', '==|==', 'd|footer_v1' ),
		),
		array(
			'id'       => 'footer_logo_img_v1',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Footer Logo Image', 'chartio' ),
			'subtitle' => esc_html__( 'Insert Footer Logo Image', 'chartio' ),
			'dependency' => array( 'footer_source_type|footer_style_settings', '==|==', 'd|footer_v1' ),
		),
		
		//Footer Gallery
		array(
            'id' => 'query_number',
            'type'    => 'number',
            'title' => esc_html__('Number of post', 'chartio'),
			'desc'     => esc_html__( 'Enter The Number of post', 'chartio' ),
            'dependency' => array( 'footer_source_type|footer_style_settings', '==|==', 'd|footer_v1' ),
        ),
		array(
            'id' => 'query_category',
            'type' => 'select',
            'title' => esc_html__('Category', 'chartio'),
			'desc'     => esc_html__( 'Select The Category', 'chartio' ),
            'dependency' => array( 'footer_source_type|footer_style_settings', '==|==', 'd|footer_v1' ),
			'options' => get_project_categories()
        ),
				
		//Copy Rights Text
		array(
			'id'      => 'copyright_text1',
			'type'    => 'textarea',
			'title'   => __( 'Copyright Text', 'chartio' ),
			'desc'    => esc_html__( 'Enter the Copyright Text', 'chartio' ),
			'dependency' => array( 'footer_source_type|footer_style_settings', '==|==', 'd|footer_v1' ),
		),
		
		/***********************************************************************
								Footer Version 2 Start
		************************************************************************/
		array(
			'id'       => 'footer_v2_settings_section_start',
			'type'     => 'heading',
			'indent'      => true,
			'content'    => esc_html__( 'Footer Style Two Settings', 'chartio' ),
			'dependency' => array( 'footer_source_type|footer_style_settings', '==|==', 'd|footer_v2' ),
		),
		//Upper Footer
		array(
			'id'       => 'show_upper_footer',
			'type'     => 'switcher',
			'title'    => esc_html__( 'Enable Upper Footer', 'chartio' ),
			'desc'     => esc_html__( 'Enable/Disable Upper Footer.', 'chartio' ),
			'default'  => 'false',
			'dependency' => array( 'footer_source_type|footer_style_settings', '==|==', 'd|footer_v2' ),
		),
		//Logo Image
		array(
			'id'       => 'footer_logo_img_v2',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Footer Logo Image', 'chartio' ),
			'subtitle' => esc_html__( 'Insert Footer Logo Image', 'chartio' ),
			'dependency' => array( 'show_upper_footer|footer_style_settings', '==', 'true|footer_v2' ),
		),		
		//Gallery Title
		array(
			'id'      => 'footer_gallery_title_v2',
			'type'    => 'text',
			'title'   => __( 'Gallery Title', 'chartio' ),
			'desc'    => esc_html__( 'Enter the Gallery Title', 'chartio' ),
			'dependency' => array( 'show_upper_footer|footer_style_settings', '==', 'true|footer_v2' ),
		),		
		//Footer Gallery Posts
		array(
            'id' => 'query_number2',
            'type'    => 'number',
            'title' => esc_html__('Number of post', 'chartio'),
			'desc'     => esc_html__( 'Enter The Number of post', 'chartio' ),
            'dependency' => array( 'show_upper_footer|footer_style_settings', '==', 'true|footer_v2' ),
        ),
		array(
            'id' => 'query_category2',
            'type' => 'select',
            'title' => esc_html__('Category', 'chartio'),
			'desc'     => esc_html__( 'Select The Category', 'chartio' ),
            'dependency' => array( 'show_upper_footer|footer_style_settings', '==', 'true|footer_v2' ),
			'options' => get_project_categories()
        ),		
		//Copy Rights Text
		array(
			'id'      => 'copyright_text2',
			'type'    => 'text',
			'title'   => __( 'Copyright Text', 'chartio' ),
			'desc'    => esc_html__( 'Enter the Copyright Text', 'chartio' ),
			'dependency' => array( 'footer_source_type|footer_style_settings', '==|==', 'd|footer_v2' ),
		),
		//Button Title
		array(
			'id'      => 'footer_btn_title_v2',
			'type'    => 'text',
			'title'   => __( 'Button Title', 'chartio' ),
			'desc'    => esc_html__( 'Enter the Button Title', 'chartio' ),
			'dependency' => array( 'footer_source_type|footer_style_settings', '==|==', 'd|footer_v2' ),
		),
		array(
			'id'      => 'footer_btn_link_v2',
			'type'    => 'text',
			'title'   => __( 'Button Link', 'chartio' ),
			'desc'    => esc_html__( 'Enter the Button Link', 'chartio' ),
			'dependency' => array( 'footer_source_type|footer_style_settings', '==|==', 'd|footer_v2' ),
		),
		//Social Media
		array(
			'id'       => 'show_footer_social_media_v2',
			'type'     => 'switcher',
			'title'    => esc_html__( 'Enable Social Media', 'chartio' ),
			'desc'     => esc_html__( 'Enable/Disable Social Media.', 'chartio' ),
			'default'  => '',
			'dependency' => array( 'footer_source_type|footer_style_settings', '==|==', 'd|footer_v2' ),
		),
		array(
			'id'    => 'footer_social_media_v2',
			'type'  => 'repeater',
			'title' => esc_html__( 'Social Media', 'chartio' ),
			'fields'	=> array(
				array(
					'id'       => 'socail_title',
					'type'     => 'text',
					'title'    => esc_html__( 'Title', 'chartio' ),
					'desc'     => esc_html__( 'Enter the title of social Profile', 'chartio' ),
				),
				array(
					'id'       => 'url',
					'type'     => 'text',
					'title'    => esc_html__( 'URL', 'chartio' ),
					'desc'     => esc_html__( 'Enter the URL of social Profile', 'chartio' ),
				),
				array(
					'id'       => 'icon',
					'type'     => 'icon',
					'title'    => esc_html__( 'Icon', 'chartio' ),
					'desc'     => esc_html__( 'Choose the icon', 'chartio' ),
				),
				array(
					'id'       => 'color',
					'type'     => 'color',
					'title'    => esc_html__( 'Color', 'chartio' ),
					'desc'     => esc_html__( 'Choose the color', 'chartio' ),
				),
				array(
					'id'       => 'background',
					'type'     => 'color',
					'title'    => esc_html__( 'Background Color', 'chartio' ),
					'desc'     => esc_html__( 'Choose the background color', 'chartio' ),
				),
			),
			'dependency' => array( 'show_footer_social_media_v2|footer_style_settings', '==', 'true|footer_v2' ),
		),
		
	),
);
