<?php
return array(
	'title'      => esc_html__( 'Header Setting', 'chartio' ),
	'id'         => 'headers_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'      => 'header_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Header Source Type', 'chartio' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'chartio' ),
				'e' => esc_html__( 'Elementor', 'chartio' ),
			),
			'default' => 'd',
		),
		array(
			'id'       => 'header_elementor_template',
			'type'     => 'select',
			'title'    => __( 'Template', 'chartio' ),
			'options'     => 'posts',
			'query_args'     => [
				'post_type' => [ 'elementor_library' ],
				'posts_per_page'	=> -1
			],
			'chosen'	=> true,
			'ajax'	=> true,
			'settings'	=> array(
				'min_length'	=> 1,
			),
			'dependency' => [ 'header_source_type', '==', 'e' ],
		),
		
		array(
		    'id'       => 'header_style_settings',
		    'type'     => 'image_select',
		    'title'    => esc_html__( 'Choose Header Styles', 'chartio' ),
		    'subtitle' => esc_html__( 'Choose Header Styles', 'chartio' ),
		    'options'  => array(
			    //'header_v1'  => get_template_directory_uri() . '/assets/images/redux/header/header1.png',
			    'header_v2'  => get_template_directory_uri() . '/assets/images/redux/header/header2.png',
				'header_v3'  => get_template_directory_uri() . '/assets/images/redux/header/header3.png',
			),
			'dependency' => array( 'header_source_type', '==', 'd' ),
			'default' => 'header_v2',
	    ),
		
		/***********************************************************************
								Header Version 1 Start
		************************************************************************/		
		array(
			'id'       => 'header_v1_settings_section_start',
			'type'     => 'heading',
			'indent'      => true,
			'content'    => esc_html__( 'Header Style One Settings', 'chartio' ),
			'dependency' => array( 'header_source_type|header_style_settings', '==|==', 'd|header_v1' ),
		),
		//Header Topbar
		array(
            'id' => 'show_top_header_v1',
            'type' => 'switcher',
            'title' => esc_html__('Enable Header Topbar', 'chartio'),
            'default' => false,						
			'dependency' => array( 'header_source_type|header_style_settings', '==|==', 'd|header_v1' ),
        ),
		//Social Media
		array(
			'id'       => 'show_social_media_v1',
			'type'     => 'switcher',
			'title'    => esc_html__( 'Enable Social Media', 'chartio' ),
			'desc'     => esc_html__( 'Enable/Disable Social Media.', 'chartio' ),
			'default'  => '',
			'dependency' => array( 'show_top_header_v1|header_style_settings', '==', 'true|header_v1' ),
		),
		array(
			'id'    => 'social_media_v1',
			'type'  => 'repeater',
			'title' => esc_html__( 'Social Media', 'chartio' ),
			'fields'	=> array(
				array(
					'id'       => 'socail_title',
					'type'     => 'text',
					'title'    => esc_html__( 'Title', 'chartio' ),
					'desc'     => esc_html__( 'Enter the title of social Profile', 'chartio' ),
				),
				array(
					'id'       => 'url',
					'type'     => 'text',
					'title'    => esc_html__( 'URL', 'chartio' ),
					'desc'     => esc_html__( 'Enter the URL of social Profile', 'chartio' ),
				),
				array(
					'id'       => 'icon',
					'type'     => 'icon',
					'title'    => esc_html__( 'Icon', 'chartio' ),
					'desc'     => esc_html__( 'Choose the icon', 'chartio' ),
				),
				array(
					'id'       => 'color',
					'type'     => 'color',
					'title'    => esc_html__( 'Color', 'chartio' ),
					'desc'     => esc_html__( 'Choose the color', 'chartio' ),
				),
				array(
					'id'       => 'background',
					'type'     => 'color',
					'title'    => esc_html__( 'Background Color', 'chartio' ),
					'desc'     => esc_html__( 'Choose the background color', 'chartio' ),
				),
			),
			'dependency' => array( 'show_social_media_v1|header_style_settings', '==', 'true|header_v1' ),
		),
		//Right Info
		array(
            'id' => 'show_phone_no',
            'type' => 'switcher',
            'title' => esc_html__('Enable Phone Number Info', 'chartio'),
            'default' => false,
			'dependency' => array( 'show_top_header_v1|header_style_settings', '==', 'true|header_v1' ),
        ),
		array(
			'id'       => 'phone_title_v1',
			'type'     => 'text',
			'title'    => esc_html__( 'Phone Title', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Phone Title', 'chartio' ),
			'dependency' => array( 'show_phone_no|header_style_settings', '==', 'true|header_v1' ),
		),
		array(
			'id'       => 'phone_no_v1',
			'type'     => 'text',
			'title'    => esc_html__( 'Phone Number', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Phone Number', 'chartio' ),
			'dependency' => array( 'show_phone_no|header_style_settings', '==', 'true|header_v1' ),
		),
		//Cart Icon
		array(
            'id' => 'show_cart_icon_v1',
            'type' => 'switcher',
            'title' => esc_html__('Enable Cart Icon', 'chartio'),
            'default' => false,
			'dependency' => array( 'header_source_type|header_style_settings', '==|==', 'd|header_v1' ),
        ),
		array(
			'id'       => 'cart_title_v1',
			'type'     => 'text',
			'title'    => esc_html__( 'Title', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Title', 'chartio' ),
			'dependency' => array( 'show_cart_icon_v1|header_style_settings', '==', 'true|header_v1' ),
		),
		array(
			'id'       => 'cart_offer_v1',
			'type'     => 'text',
			'title'    => esc_html__( 'Offer Text', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Offer Text', 'chartio' ),
			'dependency' => array( 'show_cart_icon_v1|header_style_settings', '==', 'true|header_v1' ),
		),
		array(
			'id'       => 'cart_popular_title_v1',
			'type'     => 'text',
			'title'    => esc_html__( 'Popular Posts Title', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Popular Posts Title', 'chartio' ),
			'dependency' => array( 'show_cart_icon_v1|header_style_settings', '==', 'true|header_v1' ),
		),
		//Search Icon
		array(
            'id' => 'show_search_icon_v1',
            'type' => 'switcher',
            'title' => esc_html__('Enable Search Icon', 'chartio'),
            'default' => false,
			'dependency' => array( 'header_source_type|header_style_settings', '==|==', 'd|header_v1' ),
        ),	
		//Button Info
		array(
            'id' => 'show_btn_info_v1',
            'type' => 'switcher',
            'title' => esc_html__('Enable Button', 'chartio'),
            'default' => false,
			'dependency' => array( 'header_source_type|header_style_settings', '==|==', 'd|header_v1' ),
        ),
		array(
			'id'       => 'btn_title_v1',
			'type'     => 'text',
			'title'    => esc_html__( 'Button Title', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Button Title', 'chartio' ),
			'dependency' => array( 'show_btn_info_v1|header_style_settings', '==', 'true|header_v1' ),
		),
		array(
			'id'       => 'btn_link_v1',
			'type'     => 'text',
			'title'    => esc_html__( 'Button Link', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Button Link', 'chartio' ),
			'dependency' => array( 'show_btn_info_v1|header_style_settings', '==', 'true|header_v1' ),
		),
		
		/***********************************************************************
								Header Version 2 Start
		************************************************************************/
		array(
			'id'       => 'header_v2_settings_section_start',
			'type'     => 'heading',
			'indent'      => true,
			'content'    => esc_html__( 'Header Style Two Settings', 'chartio' ),
			'dependency' => array( 'header_source_type|header_style_settings', '==|==', 'd|header_v2' ),
			
		),
		//Header Topbar
		array(
            'id' => 'show_top_header_v2',
            'type' => 'switcher',
            'title' => esc_html__('Enable Header Topbar', 'chartio'),
            'default' => false,						
			'dependency' => array( 'header_source_type|header_style_settings', '==|==', 'd|header_v2' ),
        ),
		array(
			'id'       => 'update_news_v2',
			'type'     => 'text',
			'title'    => esc_html__( 'Update News', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Update News', 'chartio' ),
			'dependency' => array( 'show_top_header_v2|header_style_settings', '==', 'true|header_v2' ),
		),
		//Donation Button Info
		array(
			'id'       => 'btn_title_v21',
			'type'     => 'text',
			'title'    => esc_html__( 'Button Title', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Button Title', 'chartio' ),
			'dependency' => array( 'show_top_header_v2|header_style_settings', '==', 'true|header_v2' ),
		),
		array(
			'id'       => 'btn_link_v21',
			'type'     => 'text',
			'title'    => esc_html__( 'Button Link', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Button Link', 'chartio' ),
			'dependency' => array( 'show_top_header_v2|header_style_settings', '==', 'true|header_v2' ),
		),
		//Social Media
		array(
			'id'       => 'show_social_media_v2',
			'type'     => 'switcher',
			'title'    => esc_html__( 'Enable Social Media', 'chartio' ),
			'desc'     => esc_html__( 'Enable/Disable Social Media.', 'chartio' ),
			'default'  => '',
			'dependency' => array( 'show_top_header_v2|header_style_settings', '==', 'true|header_v2' ),
		),
		array(
			'id'    => 'social_media_v2',
			'type'  => 'repeater',
			'title' => esc_html__( 'Social Media', 'chartio' ),
			'fields'	=> array(
				array(
					'id'       => 'socail_title',
					'type'     => 'text',
					'title'    => esc_html__( 'Title', 'chartio' ),
					'desc'     => esc_html__( 'Enter the title of social Profile', 'chartio' ),
				),
				array(
					'id'       => 'url',
					'type'     => 'text',
					'title'    => esc_html__( 'URL', 'chartio' ),
					'desc'     => esc_html__( 'Enter the URL of social Profile', 'chartio' ),
				),
				array(
					'id'       => 'icon',
					'type'     => 'icon',
					'title'    => esc_html__( 'Icon', 'chartio' ),
					'desc'     => esc_html__( 'Choose the icon', 'chartio' ),
				),
				array(
					'id'       => 'color',
					'type'     => 'color',
					'title'    => esc_html__( 'Color', 'chartio' ),
					'desc'     => esc_html__( 'Choose the color', 'chartio' ),
				),
				array(
					'id'       => 'background',
					'type'     => 'color',
					'title'    => esc_html__( 'Background Color', 'chartio' ),
					'desc'     => esc_html__( 'Choose the background color', 'chartio' ),
				),
			),
			'dependency' => array( 'show_social_media_v2|header_style_settings', '==', 'true|header_v2' ),
		),
		//Search Icon
		array(
            'id' => 'show_search_icon_v2',
            'type' => 'switcher',
            'title' => esc_html__('Enable Search Icon', 'chartio'),
            'default' => false,
			'dependency' => array( 'header_source_type|header_style_settings', '==|==', 'd|header_v2' ),
        ),
		//Cart Icon
		array(
            'id' => 'show_cart_icon_v2',
            'type' => 'switcher',
            'title' => esc_html__('Enable Cart Icon', 'chartio'),
            'default' => false,
			'dependency' => array( 'header_source_type|header_style_settings', '==|==', 'd|header_v2' ),
        ),
		array(
			'id'       => 'cart_title_v2',
			'type'     => 'text',
			'title'    => esc_html__( 'Title', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Title', 'chartio' ),
			'dependency' => array( 'show_cart_icon_v2|header_style_settings', '==', 'true|header_v2' ),
		),
		array(
			'id'       => 'cart_offer_v2',
			'type'     => 'text',
			'title'    => esc_html__( 'Offer Text', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Offer Text', 'chartio' ),
			'dependency' => array( 'show_cart_icon_v2|header_style_settings', '==', 'true|header_v2' ),
		),
		array(
			'id'       => 'cart_popular_title_v2',
			'type'     => 'text',
			'title'    => esc_html__( 'Popular Posts Title', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Popular Posts Title', 'chartio' ),
			'dependency' => array( 'show_cart_icon_v2|header_style_settings', '==', 'true|header_v2' ),
		),
		//Button Info
		array(
            'id' => 'show_btn_info_v2',
            'type' => 'switcher',
            'title' => esc_html__('Enable Become A Member Button', 'chartio'),
            'default' => false,
			'dependency' => array( 'header_source_type|header_style_settings', '==|==', 'd|header_v2' ),
        ),
		array(
			'id'       => 'btn_title_v2',
			'type'     => 'text',
			'title'    => esc_html__( 'Button Title', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Button Title', 'chartio' ),
			'dependency' => array( 'show_btn_info_v2|header_style_settings', '==', 'true|header_v2' ),
		),	
		array(
			'id'       => 'btn_link_v2',
			'type'     => 'text',
			'title'    => esc_html__( 'Button Link', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Button Link', 'chartio' ),
			'dependency' => array( 'show_btn_info_v2|header_style_settings', '==', 'true|header_v2' ),
		),		
		//Phone Info
		array(
            'id' => 'show_phone_no2',
            'type' => 'switcher',
            'title' => esc_html__('Enable Phone Info', 'chartio'),
            'default' => false,
			'dependency' => array( 'header_source_type|header_style_settings', '==|==', 'd|header_v2' ),
        ),
		array(
			'id'       => 'phone_title_v2',
			'type'     => 'text',
			'title'    => esc_html__( 'Phone Title', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Phone Title', 'chartio' ),
			'dependency' => array( 'show_phone_no2|header_style_settings', '==', 'true|header_v2' ),
		),	
		array(
			'id'       => 'phone_no_v2',
			'type'     => 'text',
			'title'    => esc_html__( 'Phone Number', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Phone Number', 'chartio' ),
			'dependency' => array( 'show_phone_no2|header_style_settings', '==', 'true|header_v2' ),
		),
		
		/***********************************************************************
								Header Version 2 Start
		************************************************************************/
		array(
			'id'       => 'header_v3_settings_section_start',
			'type'     => 'heading',
			'indent'      => true,
			'content'    => esc_html__( 'Header Style Three Settings', 'chartio' ),
			'dependency' => array( 'header_source_type|header_style_settings', '==|==', 'd|header_v3' ),
			
		),
		//Header Topbar
		array(
            'id' => 'show_top_header_v3',
            'type' => 'switcher',
            'title' => esc_html__('Enable Header Topbar', 'chartio'),
            'default' => false,						
			'dependency' => array( 'header_source_type|header_style_settings', '==|==', 'd|header_v3' ),
        ),
		//Email Address	
		array(
			'id'       => 'email_address_v3',
			'type'     => 'text',
			'title'    => esc_html__( 'Email Address', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Email Address', 'chartio' ),
			'dependency' => array( 'show_top_header_v3|header_style_settings', '==', 'true|header_v3' ),
		),
		//Address
		array(
			'id'       => 'address_v3',
			'type'     => 'text',
			'title'    => esc_html__( 'Address', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Address', 'chartio' ),
			'dependency' => array( 'show_top_header_v3|header_style_settings', '==', 'true|header_v3' ),
		),
		//Address
		array(
			'id'       => 'address_link_v3',
			'type'     => 'text',
			'title'    => esc_html__( 'Address Link', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Address Link', 'chartio' ),
			'dependency' => array( 'show_top_header_v3|header_style_settings', '==', 'true|header_v3' ),
		),
		//Social Media
		array(
			'id'       => 'show_social_media_v3',
			'type'     => 'switcher',
			'title'    => esc_html__( 'Enable Social Media', 'chartio' ),
			'desc'     => esc_html__( 'Enable/Disable Social Media.', 'chartio' ),
			'default'  => '',
			'dependency' => array( 'show_top_header_v3|header_style_settings', '==', 'true|header_v3' ),
		),
		array(
			'id'       => 'social_title_v3',
			'type'     => 'text',
			'title'    => esc_html__( 'Social Title', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Social Title', 'chartio' ),
			'dependency' => array( 'show_social_media_v3|header_style_settings', '==', 'true|header_v3' ),
		),
		array(
			'id'    => 'social_media_v3',
			'type'  => 'repeater',
			'title' => esc_html__( 'Social Media', 'chartio' ),
			'fields'	=> array(
				array(
					'id'       => 'socail_title',
					'type'     => 'text',
					'title'    => esc_html__( 'Title', 'chartio' ),
					'desc'     => esc_html__( 'Enter the title of social Profile', 'chartio' ),
				),
				array(
					'id'       => 'url',
					'type'     => 'text',
					'title'    => esc_html__( 'URL', 'chartio' ),
					'desc'     => esc_html__( 'Enter the URL of social Profile', 'chartio' ),
				),
				array(
					'id'       => 'icon',
					'type'     => 'icon',
					'title'    => esc_html__( 'Icon', 'chartio' ),
					'desc'     => esc_html__( 'Choose the icon', 'chartio' ),
				),
				array(
					'id'       => 'color',
					'type'     => 'color',
					'title'    => esc_html__( 'Color', 'chartio' ),
					'desc'     => esc_html__( 'Choose the color', 'chartio' ),
				),
				array(
					'id'       => 'background',
					'type'     => 'color',
					'title'    => esc_html__( 'Background Color', 'chartio' ),
					'desc'     => esc_html__( 'Choose the background color', 'chartio' ),
				),
			),
			'dependency' => array( 'show_social_media_v3|header_style_settings', '==', 'true|header_v3' ),
		),
		//Search Icon
		array(
            'id' => 'show_phone_no3',
            'type' => 'switcher',
            'title' => esc_html__('Enable Phone Info', 'chartio'),
            'default' => false,
			'dependency' => array( 'header_source_type|header_style_settings', '==|==', 'd|header_v3' ),
        ),
		//Phone Number
		array(
			'id'       => 'phone_title_v3',
			'type'     => 'text',
			'title'    => esc_html__( 'Phone Title', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Phone Title', 'chartio' ),
			'dependency' => array( 'show_phone_no3|header_style_settings', '==', 'true|header_v3' ),
		),
		array(
			'id'       => 'phone_no_v3',
			'type'     => 'text',
			'title'    => esc_html__( 'Phone Number', 'chartio' ),
			'desc'     => esc_html__( 'Enter The Phone Number', 'chartio' ),
			'dependency' => array( 'show_phone_no3|header_style_settings', '==', 'true|header_v3' ),
		),
						
	),
);
