<?php
return array(
	'title'      => esc_html__( 'Logo Setting', 'chartio' ),
	'id'         => 'logo_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'       => 'image_favicon',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Favicon', 'chartio' ),
			'subtitle' => esc_html__( 'Insert site favicon image', 'chartio' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/assets/images/favicon.png' ),
		),
		array(
            'id' => 'dark_logo_show',
            'type' => 'switcher',
            'title' => esc_html__('Enable Dark Color Logo', 'chartio'),
            'default' => true,
        ),
		array(
			'id'       => 'dark_image_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Dark Color Logo', 'chartio' ),
			'subtitle' => esc_html__( 'Insert site Dark Color logo image', 'chartio' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/assets/images/logo.png' ),
			'dependency' => array( 'dark_logo_show', '==', true ),
		),
		array(
			'id'       => 'dark_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Dark Color Logo Dimentions', 'chartio' ),
			'subtitle' => esc_html__( 'Select Dark Color Logo Dimentions', 'chartio' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'dependency' => array( 'dark_logo_show', '==', true ),
		),
		//Light Color Logo
		array(
            'id' => 'light_logo_show',
            'type' => 'switcher',
            'title' => esc_html__('Enable Light Color Logo', 'chartio'),
            'default' => true,
        ),
		array(
			'id'       => 'light_image_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Light Color Logo', 'chartio' ),
			'subtitle' => esc_html__( 'Insert site Light Color Logo image', 'chartio' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/assets/images/logo.png' ),
			'dependency' => array( 'light_logo_show', '==', true ),
		),
		array(
			'id'       => 'light_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Light Color Logo Dimentions', 'chartio' ),
			'subtitle' => esc_html__( 'Select Light Color Logo Dimentions', 'chartio' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'dependency' => array( 'light_logo_show', '==', true ),
		),
		//Light Color Logo Red Dot
		array(
            'id' => 'light_logo_show2',
            'type' => 'switcher',
            'title' => esc_html__('Enable Light Color Logo', 'chartio'),
            'default' => true,
        ),
		array(
			'id'       => 'light_image_logo2',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Light Color Logo', 'chartio' ),
			'subtitle' => esc_html__( 'Insert site Light Color Logo image', 'chartio' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/assets/images/logo-4.png' ),
			'dependency' => array( 'light_logo_show2', '==', true ),
		),
		array(
			'id'       => 'light_logo_dimension2',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Light Color Logo Dimentions', 'chartio' ),
			'subtitle' => esc_html__( 'Select Light Color Logo Dimentions', 'chartio' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'dependency' => array( 'light_logo_show2', '==', true ),
		),
		
	),
);
