<?php
/**
 * Blog Post Main File.
 *
 * @package CHARITYX
 * @author  ThemeXriver
 * @version 1.0
 */

get_header();
$data    = \CHARTIO\Includes\Classes\Common::instance()->data( 'single' )->get();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}
$class = ( !$layout || $layout == 'full' ) ? 'col-lg-12 col-sm-12 col-md-12' : 'col-lg-8 col-md-12 col-sm-12';
$options = chartio_WSH()->option();

if ( class_exists( '\Elementor\Plugin' ) && $data->get( 'tpl-type' ) == 'e') {
	
	while(have_posts()) {
	   the_post();
	   the_content();
    }

} else {
	?>
<?php if ( $data->get( 'enable_banner' ) ) : ?>
	<?php do_action( 'chartio_banner', $data );?>
<?php else: ?>

<!-- Page Title -->
<section class="page-title" style="background-image:url(<?php echo esc_url( $data->get( 'banner' ) ); ?>)">
    <div class="auto-container">
        <h1><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( wp_title( '' ) ); ?></h1>
        <ul class="bread-crumb clearfix">
            <?php echo chartio_the_breadcrumb(); ?>
        </ul>
    </div>
</section>
<!-- End Page Title -->

<?php endif;?>


<!-- News Detail -->
<div class="news-detail">
    <div class="auto-container">
        <div class="row clearfix">
        	<?php
				if ( $data->get( 'layout' ) == 'left' ) {
					do_action( 'chartio_sidebar', $data );
				}
			?>
            <div class="content-side <?php echo esc_attr( $class ); ?>">            	
				<?php while ( have_posts() ) : the_post(); ?>				                
                <div class="thm-unit-test">
        			<div class="news-detail-inner <?php if(! has_post_thumbnail() ) echo 'tx-detail-adj';?>">        
                        <?php if( has_post_thumbnail() ){?>
                        <div class="news-detail-image">
                            <?php the_post_thumbnail('full'); ?>
                        </div>
                        <?php };?>
                        <div class="news-detail_content">
                            <div class="d-flex align-items-center justify-content-between flex-wrap mb-35">
                                <div class="news-detail-author">
                                    <span class="author-image">
                                        <?php echo get_avatar(get_the_author_meta('ID'), 40); ?>
                                    </span>
                                    <?php the_author(); ?>
                                </div>
                                <ul class="news-detail-meta">
                                    <li><span class="icon far fa-clock fa-fw"></span><?php echo get_the_date( ); ?></li>
                                    <li><span class="icon far fa-comment fa-fw"></span><?php comments_number( wp_kses(__('0 Comments' , 'chartio'), true), wp_kses(__('01 Comment' , 'chartio'), true), wp_kses(__('0% Comments' , 'chartio'), true)); ?></li>
                                </ul>
                            </div>
                            <div class="text"><?php the_content(); ?></div>
                            <div class="clearfix"></div>
                            <?php wp_link_pages(array('before'=>'<div class="paginate-links mt-30">'.esc_html__('Pages: ', 'chartio'), 'after' => '</div>', 'link_before'=>'<span>', 'link_after'=>'</span>')); ?>
                            
                            
                            <?php if(has_tag() || function_exists('bunch_share_us_two')){ ?>
                            <!-- Post Share Options -->
                            <div class="post-share-options">
                                <div class="post-share-inner d-flex justify-content-between align-items-center flex-wrap">
                                    <?php if(has_tag()){ ?>
                                    <div class="tags-box"><?php the_tags( '', '' ); ?></div>
                                    <?php } ?>
                                    <?php if(function_exists('bunch_share_us_two')):?>
                                    <div class="social-box">
                                        <?php echo wp_kses(bunch_share_us_two(get_the_id(),$post->post_name ), true);?>
                                    </div><!-- /.blog-details__social -->
                                    <?php endif;?>
                                </div>
                            </div>
                            <?php } ?>
                            
                            <?php if( $options->get( 'single_post_author_box' ) ):?>
                            <div class="news-detail_author">
                                <div class="author-image">
                                    <?php echo get_avatar(get_the_author_meta('ID'), 168); ?>
                                </div>
                                <h5 class="news-detail_author-title"><?php esc_html_e('About', 'chartio'); ?> <?php the_author(); ?></h5>
                                <div class="news-detail_author-text"><?php the_author_meta( 'description', get_the_author_meta('ID') ); ?></div>
                            </div>
                            <?php endif;?>
                            
                            <?php if((get_previous_post()) || (get_next_post())): ?>
                            <!-- More Posts -->
                            <div class="more-posts">
                                <div class="more-posts-inner d-flex justify-content-between align-items-center flex-wrap">
                                    <?php global $post; $prev_post = get_previous_post();
                                        if (!empty($prev_post)):
                                    ?>
                                    <div class="prev-post">
                                        <div class="prev-arrow fas fa-arrow-left fa-fw"></div>
                                        <a href="<?php echo esc_url(get_permalink($prev_post->ID)); ?>"><?php echo wp_kses_post($prev_post->post_title); ?></a>
                                        <span class="more-post_date"><?php echo get_the_date(); ?></span>
                                    </div>
                                    <span class="post-grid_icon fas fa-th-large fa-fw"></span>
                                    <?php endif ?>                          
                                    <?php global $post; $next_post = get_next_post();
                                        if (!empty($next_post)):
                                    ?>
                                    <div class="next-post">
                                        <div class="next-arrow fas fa-arrow-right fa-fw"></div>
                                        <div class="post-inner">
                                            <a href="<?php echo esc_url(get_permalink($next_post->ID)); ?>"><?php echo wp_kses_post($next_post->post_title); ?></a>
                                            <span class="more-post_date"><?php echo get_the_date(); ?></span>
                                        </div>
                                    </div>
                                    <?php endif ?>
                                </div>
                            </div>
                            <!-- End More Posts -->
                            <?php endif ?>
                            
                            <!-- Comments Area -->
                            <?php comments_template(); ?>
                        </div>
					</div>
				</div>
                <?php endwhile; ?>
			</div>
            <?php
				if ( $data->get( 'layout' ) == 'right' ) {
					do_action( 'chartio_sidebar', $data );
				}
			?>
        </div>
    </div>
</div> 

<?php
}
get_footer();
