<?php

/**
 * Blog Content Template
 *
 * @package    WordPress
 * @subpackage CHARTIO
 * @author     ThemeXriver
 * @version    1.0
 */

if ( class_exists( 'Chartio_Resizer' ) ) {
	$img_obj = new Chartio_Resizer();
} else {
	$img_obj = array();
}
$allowed_tags = wp_kses_allowed_html('post');
global $post;
?>
<div <?php post_class(); ?>>
	
    <!-- News Block Five -->
    <div class="news-block_five">
        <div class="news-block_five-inner <?php if(! has_post_thumbnail() ) echo 'tx-style-adj';?>">
            
            <div class="news-block_five-image">
                <?php if( has_post_thumbnail() ){?>
                <a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_post_thumbnail('full'); ?></a>
                <?php };?>
                <div class="news-block_five-meta-outer">
                    <ul class="news-block_five-meta">
                        <li><span class="icon fas fa-user-circle fa-fw"></span><?php esc_html_e('by ', 'chartio'); ?> <?php the_author(); ?></li>
                        <li><span class="icon far fa-calendar fa-fw"></span><?php echo get_the_date('d'); ?> <?php echo get_the_date('M'); ?>/<?php echo get_the_date('y'); ?></li>
                    </ul>
                </div>
            </div>
            
            <div class="news-block_five-content">
                <h3 class="news-block_five-title"><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_title(); ?></a></h3>
                <div class="news-block_five-text"><?php the_excerpt(); ?></div>
                <div class="news-block_five-button">
                    <a class="news-block_five-more" href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php esc_html_e('Read More', 'chartio'); ?></a>
                </div>
            </div>
        </div>
    </div>

</div>