<?php
/**
 * Footer Template  File
 *
 * @package CHARTIO
 * @author  ThemeXriver
 * @version 1.0
 */
$options = chartio_WSH()->option();
$footer_bg_img_v1 = $options->get( 'footer_bg_img_v1' );
$footer_bg_img_v1 = chartio_set( $footer_bg_img_v1, 'url', CHARTIO_URI . '' );

$footer_pattern_img_v1 = $options->get( 'footer_pattern_img_v1' );
$footer_pattern_img_v1 = chartio_set( $footer_pattern_img_v1, 'url', CHARTIO_URI . '' );

$footer_logo_img_v1 = $options->get( 'footer_logo_img_v1' );
$footer_logo_img_v1 = chartio_set( $footer_logo_img_v1, 'url', CHARTIO_URI . '' );
$allowed_html = wp_kses_allowed_html( 'post' );

$query_number = $options->get('query_number' );
$query_orderby = $options->get('query_orderby' );
$query_order = $options->get('query_order' );
$query_category = $options->get('query_category' );
$args = array(
	'post_type'      => 'project',
	'posts_per_page' => $query_number,
	'orderby'        => $query_orderby,
	'order'          => $query_order,
);
if( $query_category  ) $args['project_cat'] = $query_category;
$query = new \WP_Query( $args );
?>
	
    <!-- Main Footer -->
    <footer class="main-footer" <?php if($footer_bg_img_v1){ ?> style="background-image:url(<?php echo esc_url($footer_bg_img_v1); ?>)"<?php } ?>>
		<div class="main-footer_pattern" <?php if($footer_pattern_img_v1){ ?> style="background-image:url(<?php echo esc_url($footer_pattern_img_v1); ?>)"<?php } ?>></div>
		<div class="auto-container">			
            <div class="footer-logo">
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url($footer_logo_img_v1); ?>" alt="<?php esc_attr_e('Awesome Image', 'chartio'); ?>" /></a>
			</div>
            <?php if ( is_active_sidebar( 'footer-sidebar' ) ) { ?>          
			<div class="footer-inner_container">
				<div class="row clearfix">
					<?php dynamic_sidebar( 'footer-sidebar' ); ?>
				</div>
			</div>
            <?php } ?>
			<!-- Footer Gallery -->
			<div class="footer-gallery">
				<div class="clearfix">
					<?php 
						global $post;
						while ( $query->have_posts() ) : $query->the_post(); 
						$post_thumbnail_id = get_post_thumbnail_id($post->ID);
						$post_thumbnail_url = wp_get_attachment_url($post_thumbnail_id);
					?>
					<!-- Gallery Block -->
					<div class="footer-gallery_block">
						<div class="inner-box">
							<div class="image">
								<?php the_post_thumbnail('chartio_143x121'); ?>
								<div class="overlay-box">
									<a href="<?php echo esc_url( $post_thumbnail_url );?>" class="lightbox-image plus fa fa-plus"></a>
								</div>
							</div>
						</div>
					</div>
					<?php endwhile; ?>
				</div>
			</div>
			<?php if( $options->get('copyright_text1') ):?>
			<div class="copyright-outer">
				<div class="copyright"><?php echo wp_kses( $options->get( 'copyright_text1', 'Chartio- Copyright 2023. Design by Themexriver' ), true ); ?></div>
			</div>
			<?php endif; ?>
		</div>
	</footer>
	<!-- End Main Footer -->
