<?php
/**
 * Footer Template  File
 *
 * @package CHARTIO
 * @author  ThemeXriver
 * @version 1.0
 */

$options = chartio_WSH()->option();
$footer_logo_img_v2 = $options->get( 'footer_logo_img_v2' );
$footer_logo_img_v2 = chartio_set( $footer_logo_img_v2, 'url', CHARTIO_URI . '' );

$allowed_html = wp_kses_allowed_html( 'post' );

$query_number2 = $options->get('query_number2' );
$query_orderby2 = $options->get('query_orderby2' );
$query_order2 = $options->get('query_order2' );
$query_category2 = $options->get('query_category2' );
$args = array(
	'post_type'      => 'project',
	'posts_per_page' => $query_number2,
	'orderby'        => $query_orderby2,
	'order'          => $query_order2,
);
if( $query_category2  ) $args['project_cat'] = $query_category2;
$query = new \WP_Query( $args );
?>

<!-- Footer Style Two -->
<?php if( $options->get( 'show_upper_footer' ) || is_active_sidebar( 'footer-sidebar' ) || $options->get('copyright_text2') ){?>
<footer class="footer-style-two">
    <div class="auto-container">
       <?php if( $options->get( 'show_upper_footer' ) ){?>
        <div class="upper-box">
            <div class="row clearfix">
                <div class="col-lg-4 col-md-12 col-sm-12">
                    <div class="logo">
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url($footer_logo_img_v2); ?>" alt="<?php esc_attr_e('Awesome Image', 'chartio'); ?>" /></a>
                    </div>
                </div>
                <div class="social-column col-lg-8 col-md-12 col-sm-12">
                    <div class="social-column_inner">
                        <?php if( $options->get('footer_gallery_title_v2') ):?>
                        <div class="follow-insta"><?php echo wp_kses($options->get('footer_gallery_title_v2'), true);?></div>
						<?php endif; ?>
                        <!-- Footer Two Gallery -->
                        <div class="footer-two_gallery">
                            <div class="clearfix">
								<?php 
									global $post;
									while ( $query->have_posts() ) : $query->the_post(); 
									$post_thumbnail_id = get_post_thumbnail_id($post->ID);
									$post_thumbnail_url = wp_get_attachment_url($post_thumbnail_id);
								?>
                                <!-- Gallery Block -->
                                <div class="footer-gallery_block">
                                    <div class="inner-box">
                                        <div class="image">
                                            <a href="<?php echo esc_url( $post_thumbnail_url );?>" class="lightbox-image"><?php the_post_thumbnail('chartio_73x73'); ?></a>
                                        </div>
                                    </div>
                                </div>
								<?php endwhile; ?>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <?php };?>
		<?php if ( is_active_sidebar( 'footer-sidebar-2' ) ) { ?>
        <!-- Widgets Section -->
        <div class="widgets-section">
            <div class="row clearfix">
				<?php dynamic_sidebar( 'footer-sidebar-2' ); ?>
            </div>
        </div>
        <?php } ?>
        <!-- Footer Bottom -->
        <?php if( $options->get('copyright_text2') || $options->get('footer_btn_title_v2') || $options->get( 'show_footer_social_media_v2' ) ){?>
        <div class="footer-two_bottom">
            <div class="row clearfix">
                <?php if( $options->get('copyright_text2') ):?>
                <div class="copyright-column col-lg-6 col-md-12 col-sm-12">
                    <div class="footer-two_copyright"><?php echo wp_kses( $options->get( 'copyright_text2', '&copy; Copyright 2023 Design by Chartio' ), true ); ?></div>
                </div>
                <?php endif; ?>
                <div class="nav-column col-lg-6 col-md-12 col-sm-12">
                    <div class="d-flex align-items-center justify-content-end flex-wrap">
                        <?php if( $options->get('footer_btn_title_v2') ):?>
                        <!-- Become Member -->
                        <div class="footer-two_member">
                            <a href="<?php echo esc_url($options->get('footer_btn_link_v2'));?>"><i class="fas fa-heart fa-fw"></i> <?php echo wp_kses($options->get('footer_btn_title_v2'), true);?></a>
                        </div>
                        <?php endif; ?>
                        <?php if($options->get( 'show_footer_social_media_v2' )) {
						$icons = $options->get( 'footer_social_media_v2' );
						if ( ! empty( $icons ) ) { ?>
						<!-- Socials Box -->
                        <div class="footer-two_socials">
							<?php foreach ( $icons as $h_icon ) {
							
							$icon_class = explode( '-', chartio_set( $h_icon, 'icon' ) ); ?>
							<a href="<?php echo esc_url(chartio_set( $h_icon, 'url' )); ?>" <?php if( chartio_set( $h_icon, 'background' ) || chartio_set( $h_icon, 'color' ) ):?>style="background-color:<?php echo esc_attr(chartio_set( $h_icon, 'background' )); ?>; color: <?php echo esc_attr(chartio_set( $h_icon, 'color' )); ?>"<?php endif;?> target="_blank"><i class="<?php echo esc_attr( chartio_set( $h_icon, 'icon' ) ); ?> fa-fw"></i></a>
							<?php } ?>
						</div>
						<?php } }; ?>                        
                    </div>
                </div>
            </div>
        </div>
        <?php };?>

    </div>
</footer>
<?php };?>
<!-- End Footer Style Two -->