<?php
$options = chartio_WSH()->option(); 
$allowed_html = wp_kses_allowed_html( 'post' );

//Light Color Logo Settings
$dark_image_logo = $options->get( 'dark_image_logo' );
$dark_logo_dimension = $options->get( 'dark_logo_dimension' );

$logo_type = '';
$logo_text = '';
$logo_typography = ''; 

?>

<div class="page-wrapper">
	
    <?php if( $options->get( 'courser_pointer' ) ):?>
    <!-- Cursor -->
	<div class="cursor"></div>
	<div class="cursor-follower"></div>
	<!-- Cursor End -->
    <?php endif; ?>	
    
	<?php if( $options->get( 'theme_preloader' ) ):?>
 	<!-- Preloader -->
	<div class="preloader"></div>
	<!-- End Preloader -->
    <?php endif; ?>
    
    <!-- Header Style One -->
	<header class="main-header header-style-one">
		<?php if( $options->get('show_top_header_v1') ):?>
		<!-- Header Top -->
		<div class="header-top">
			<div class="auto-container">
				<div class="d-flex justify-content-between align-items-center flex-wrap">
					
                    <?php if($options->get( 'show_social_media_v1' )) {
					$icons = $options->get( 'social_media_v1' );
					if ( ! empty( $icons ) ) { ?>
					<!-- Socials Box -->
					<div class="header-top_social">
						<?php foreach ( $icons as $h_icon ) {
						
						$icon_class = explode( '-', chartio_set( $h_icon, 'icon' ) ); ?>
						<a href="<?php echo esc_url(chartio_set( $h_icon, 'url' )); ?>" <?php if( chartio_set( $h_icon, 'background' ) || chartio_set( $h_icon, 'color' ) ):?>style="background-color:<?php echo esc_attr(chartio_set( $h_icon, 'background' )); ?>; color: <?php echo esc_attr(chartio_set( $h_icon, 'color' )); ?>"<?php endif;?> target="_blank"><i class="<?php echo esc_attr( chartio_set( $h_icon, 'icon' ) ); ?> fa-fw"></i><span><?php echo wp_kses(chartio_set( $h_icon, 'socail_title' ), true); ?></span></a>
						<?php } ?>
					</div>
					<?php } } ?>
                    <?php if( $options->get('show_phone_no') ):?>
					<!-- Phone Box -->
					<div class="header_phone-box">
						<i class="fas fa-phone fa-fw"></i>
						<?php echo wp_kses($options->get('phone_title_v1'), true);?> <br>
						<a href="tel:<?php echo esc_attr($options->get('phone_no_v1'));?>"><?php echo wp_kses($options->get('phone_no_v1'), true);?></a>
					</div>
                    <?php endif; ?>
				</div>
			</div>
		</div>
		<?php endif; ?>
        
		<!-- Header Upper -->
		<div class="header-upper">
			<div class="auto-container">
				<div class="inner-container">
					<div class="header-left-shape"></div>
                    <div class="header-right-shape"></div>
                    <div class="d-flex justify-content-between align-items-center flex-wrap">						
						<div class="logo-box">
							<div class="logo"><?php echo chartio_logo( $logo_type, $dark_image_logo, $dark_logo_dimension, $logo_text, $logo_typography ); ?></div>
						</div>						
						<div class="nav-outer">
							<!-- Main Menu -->
							<nav class="main-menu navbar-expand-md">
								<div class="navbar-header">
									<!-- Toggle Button -->    	
									<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
										<span class="icon-bar"></span>
										<span class="icon-bar"></span>
										<span class="icon-bar"></span>
									</button>
								</div>
								
								<div class="navbar-collapse collapse clearfix" id="navbarSupportedContent">
									<ul class="navigation clearfix">
										<?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
											'container_class'=>'navbar-collapse collapse navbar-right',
											'menu_class'=>'nav navbar-nav',
											'fallback_cb'=>false, 
											'items_wrap' => '%3$s', 
											'container'=>false,
											'depth'=>'3',
											'walker'=> new Bootstrap_walker()  
										) ); ?>
									</ul>
								</div>
							</nav>
						</div>
						
						<!-- Main Menu End-->
						<div class="outer-box d-flex align-items-center flex-wrap">							
                            <?php 
								if ($options->get('show_cart_icon_v1')):
								if( function_exists( 'WC' ) ): global $woocommerce;
							?>
                            <!-- Nav Btn -->
							<div class="nav-btn navSidebar-button">
								<i class="fas fa-shopping-bag fa-fw"></i>
								<span><?php echo wp_kses( $woocommerce->cart->cart_contents_count, true )?></span>
							</div>
                            <?php endif; endif; ?>
                            
							<?php if( $options->get('show_search_icon_v1') ):?>                            
							<!-- Search Btn -->
							<div class="search-box-btn search-box-outer"><span class="icon fa fa-search"></span></div>
                            <?php endif; ?>
							<?php if( $options->get('show_btn_info_v1') ):?>
							<div class="appointmeny_button-box">
								<a href="<?php echo esc_url($options->get('btn_link_v1'));?>" class="theme-btn btn-style-one">
									<span class="btn-wrap">
										<span class="text-one"><?php echo wp_kses($options->get('btn_title_v1'), true);?></span>
										<span class="text-two"><?php echo wp_kses($options->get('btn_title_v1'), true);?></span>
									</span>
								</a>
							</div>
							<?php endif; ?>
							<!-- Mobile Navigation Toggler -->
							<div class="mobile-nav-toggler"><span class="icon flaticon-menu"></span></div>
						</div>

					</div>
				</div>
			</div>
		</div>
		<!--End Header Upper-->
		
		<!-- Mobile Menu  -->
		<div class="mobile-menu">
			<div class="menu-backdrop"></div>
			<div class="close-btn"><span class="icon flaticon-cancel-1"></span></div>
			
			<nav class="menu-box">
				<div class="nav-logo"><?php echo chartio_logo( $logo_type, $dark_image_logo, $dark_logo_dimension, $logo_text, $logo_typography ); ?></div>
				<div class="menu-outer"><!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header--></div>
			</nav>
		</div><!-- End Mobile Menu -->
	
	</header>
	<!-- End Main Header -->
   
    <?php 
		if ($options->get('show_cart_icon_v1')):
		if( function_exists( 'WC' ) ): global $woocommerce;
	?>
    <!-- Sidebar Cart Item -->
	<div class="xs-sidebar-group info-group woocommerce">
		<div class="xs-overlay xs-bg-black"></div>
		<div class="xs-sidebar-widget">
			<div class="sidebar-widget-container">
				<div class="close-button">
					<span class="flaticon-cancel-1"></span>
				</div>
				<div class="sidebar-textwidget">
					
					<!-- Sidebar Info Content -->
					<div class="sidebar-info-contents">
						<div class="content-inner">
							<?php if( $options->get('cart_title_v1') || $options->get('cart_offer_v1')){ ?>
							<!-- Title Box -->
							<div class="title-box">
								<?php if( $options->get('cart_title_v1') ){ ?><h5><?php echo wp_kses($options->get('cart_title_v1'), true);?></h5><?php } ?>
								<?php if( $options->get('cart_offer_v1') ){ ?><div class="price"><?php echo wp_kses($options->get('cart_offer_v1'), true);?></div><?php } ?>
							</div>							
							<?php } ?>
							<!-- Lower Box -->
							<div class="lower-box">
								<?php if( $options->get('cart_popular_title_v1') ){ ?><h5><?php echo wp_kses($options->get('cart_popular_title_v1'), true);?></h5><?php } ?>
								<?php get_template_part('templates/widgets/cart_items'); ?>							
							</div>						
						</div>
					</div>
					
				</div>
			</div>
		</div>
	</div>
	<!-- End Sidebar Cart Item -->
    <?php  endif; endif; ?>
    
	