<?php
$options = chartio_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

//Dark Color Logo Settings
$dark_image_logo = $options->get( 'dark_image_logo' );
$dark_logo_dimension = $options->get( 'dark_logo_dimension' );

//Light Color Logo Settings
$light_image_logo = $options->get( 'light_image_logo' );
$light_logo_dimension = $options->get( 'light_logo_dimension' );

//Light Color Logo With Red Dot Settings
$light_image_logo2 = $options->get( 'light_image_logo2' );
$light_logo_dimension2 = $options->get( 'light_logo_dimension2' );

$logo_type = '';
$logo_text = '';
$logo_typography = '';

?>	

<div class="page-wrapper">
	
    <?php if( $options->get( 'courser_pointer' ) ):?>
    <!-- Cursor -->
	<div class="cursor"></div>
	<div class="cursor-follower"></div>
	<!-- Cursor End -->
    <?php endif; ?>	
        
	<?php if( $options->get( 'theme_preloader' ) ):?>
    <!-- Preloader -->
	<div class="preloader"></div>
	<!-- End Preloader -->
    <?php endif; ?>
    
    <!-- Header Style Three -->
	<header class="main-header header-style-three">
		<?php if( $options->get('show_top_header_v3') ):?>
		<!-- Header Top Three -->
		<div class="header-top_three">
			<div class="auto-container">
                <div class="d-flex justify-content-between align-items-center flex-wrap">
                    <?php if( $options->get('email_address_v3') || $options->get('phone_no_v3') || $options->get('address_v3')):?>
                    <!-- Socials Box -->
					<div class="header-top_info">
						<a href="<?php echo esc_attr($options->get('email_address_v3')); ?>"><i class="fas fa-envelope fa-fw"></i> <?php echo wp_kses($options->get('email_address_v3'), true);?></a>
						<a href="<?php echo esc_attr($options->get('phone_no_v3')); ?>"><i class="fas fa-phone-alt fa-fw"></i><?php echo wp_kses($options->get('phone_no_v3'), true);?></a>
						<a href="<?php echo esc_url($options->get('address_link_v3')); ?>"><i class="fas fa-map-marker-alt fa-fw"></i><?php echo wp_kses($options->get('address_v3'), true);?></a>
					</div>
                    <?php endif; ?>
                    <?php if($options->get( 'show_social_media_v3' )) {
						$icons = $options->get( 'social_media_v3' );
						if ( ! empty( $icons ) ) { 
					?>
					<!-- Socials Box -->
					<div class="header-top_three-social">
						<?php if( $options->get('social_title_v3') ):?><span><?php echo wp_kses($options->get('social_title_v3'), true);?></span><?php endif; ?>
						<?php foreach ( $icons as $h_icon ) {
						
						$icon_class = explode( '-', chartio_set( $h_icon, 'icon' ) ); ?>
						<a href="<?php echo esc_url(chartio_set( $h_icon, 'url' )); ?>" <?php if( chartio_set( $h_icon, 'background' ) || chartio_set( $h_icon, 'color' ) ):?>style="background-color:<?php echo esc_attr(chartio_set( $h_icon, 'background' )); ?>; color: <?php echo esc_attr(chartio_set( $h_icon, 'color' )); ?>"<?php endif;?> target="_blank"><i class="<?php echo esc_attr( chartio_set( $h_icon, 'icon' ) ); ?> fa-fw"></i></a>
						<?php } ?>
					</div>
					<?php } } ?>
                </div>
			</div>
		</div>
		<?php endif; ?>
		<!-- Header Upper -->
		<div class="header-upper">
			<div class="auto-container">
				<div class="inner-container">
					<div class="d-flex justify-content-between align-items-center flex-wrap">
						
						<div class="logo-box">
							<div class="logo"><?php echo chartio_logo( $logo_type, $light_image_logo2, $light_logo_dimension2, $logo_text, $logo_typography ); ?></div>
						</div>
						
						<div class="nav-outer">
							<!-- Main Menu -->
							<nav class="main-menu navbar-expand-md">
								<div class="navbar-header">
									<!-- Toggle Button -->    	
									<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
										<span class="icon-bar"></span>
										<span class="icon-bar"></span>
										<span class="icon-bar"></span>
									</button>
								</div>
								
								<div class="navbar-collapse collapse clearfix" id="navbarSupportedContent">
									<ul class="navigation clearfix">
										<?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
											'container_class'=>'navbar-collapse collapse navbar-right',
											'menu_class'=>'nav navbar-nav',
											'fallback_cb'=>false, 
											'items_wrap' => '%3$s', 
											'container'=>false,
											'depth'=>'3',
											'walker'=> new Bootstrap_walker()  
										) ); ?>
									</ul>
								</div>
							</nav>
						</div>
						
                        <!-- Main Menu End-->
						<div class="outer-box d-flex align-items-center flex-wrap">
							<?php if( $options->get('show_phone_no3') ):?>
							<!-- Phone Box -->
							<div class="header_phone-two">
								<i class="fas fa-phone-alt fa-fw"></i>
								<?php echo wp_kses($options->get('phone_title_v3'), true);?> <br>
								<a href="tel:<?php echo esc_attr($options->get('phone_no_v3'));?>"><?php echo wp_kses($options->get('phone_no_v3'), true);?></a>
							</div>
							<?php endif; ?>

							<!-- Mobile Navigation Toggler -->
							<div class="mobile-nav-toggler"><span class="icon flaticon-menu"></span></div>
						</div>                        

					</div>
				</div>
			</div>
		</div>
		<!--End Header Upper-->
		
		<!-- Mobile Menu  -->
		<div class="mobile-menu">
			<div class="menu-backdrop"></div>
			<div class="close-btn"><span class="icon flaticon-cancel-1"></span></div>
			
			<nav class="menu-box">
				<div class="nav-logo"><?php echo chartio_logo( $logo_type, $dark_image_logo, $dark_logo_dimension, $logo_text, $logo_typography ); ?></div>
				<div class="menu-outer"><!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header--></div>
			</nav>
		</div><!-- End Mobile Menu -->
	
	</header>
	<!-- End Main Header -->