<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

defined( 'ABSPATH' ) || exit;

global $product;

// Ensure visibility.
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}

global $wp_query;
$data  = \CHARTIO\Includes\Classes\Common::instance()->data( 'single' )->get();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}

if( $layout || $layout == 'full' ) $classes[] = 'col-lg-3 col-md-4 col-sm-6'; else $classes[] = 'col-lg-3 col-md-4 col-sm-6'; 

$post_thumbnail_id = get_post_thumbnail_id($post->ID);
$post_thumbnail_url = wp_get_attachment_url($post_thumbnail_id); 

?>

<div <?php post_class( $classes ); ?>>
	<div class="shop-block_one">
        <div class="shop-item shop-block_one-inner">
            <div class="shop-block_one-image">
                <?php
                /**
                 * Hook: woocommerce_before_shop_loop_item.
                 *
                 * @hooked woocommerce_template_loop_product_link_open - 10
                 */
                do_action( 'woocommerce_before_shop_loop_item_title' );
            
                /**
                 * Hook: woocommerce_before_shop_loop_item_title.
                 *
                 * @hooked woocommerce_show_product_loop_sale_flash - 10
                 * @hooked woocommerce_template_loop_product_thumbnail - 10
                 */
                ?>
                
                <?php the_post_thumbnail('chartio_292x370'); ?>
                
                 
                <?php do_action( 'woocommerce_before_shop_loop_item_title' );
            
                /**
                 * Hook: woocommerce_shop_loop_item_title.
                 *
                 * @hooked woocommerce_template_loop_product_title - 10
                 */
                //do_action( 'woocommerce_shop_loop_item_title' );
            
                /**
                 * Hook: woocommerce_after_shop_loop_item_title.
                 *
                 * @hooked woocommerce_template_loop_rating - 5
                 * @hooked woocommerce_template_loop_price - 10
                 */
                do_action( 'woocommerce_after_shop_loop_item_title' );
                ?>
                
                <div class="shop-block_one-overlay">
                    <div class="shop-block_one-overlay_inner">
                        <a href="<?php echo esc_url(get_the_permalink(get_the_id())); ?>" class="theme-btn btn-style-three">
                            <span class="btn-wrap">
                                <span class="text-one"><?php esc_html_e('Purchase now ', 'chartio'); ?> <i class="fas fa-arrow-right fa-fw"></i></span>
                                <span class="text-two"><?php esc_html_e('Purchase now ', 'chartio'); ?> <i class="fas fa-arrow-right fa-fw"></i></span>
                            </span>
                        </a>
                    </div>
                    <div class="shop-block_one-content">
                        <h5 class="shop-block_one-heading"><a href="<?php echo esc_url(get_the_permalink(get_the_id())); ?>"><?php the_title(); ?></a></h5>
                        <div class="shop-block_one-price"><?php woocommerce_template_loop_price(); ?></div>
                    </div>
                    <a href="<?php echo esc_url( $post_thumbnail_url );?>" class="lightbox-image eye fas fa-eye fa-fw"></a>
                </div>
                
                <?php
                /**
                 * Hook: woocommerce_after_shop_loop_item.
                 *
                 * @hooked woocommerce_template_loop_product_link_close - 5
                 * @hooked woocommerce_template_loop_add_to_cart - 10
                 */
                do_action( 'woocommerce_after_shop_loop_item_title' );
                ?>
            </div>
        </div>
	</div>
</div>