(function($) {
	
	"use strict";
	var theme_carousel_js = function($scope, $) {
		
		// Single Item Slider
		var slider = new Swiper('.single-item-slider', {
			slidesPerView: 1,
			spaceBetween: 0,
			loop: true,
			autoplay: {
				enabled: true,
				delay: 6000
			},
			// Navigation arrows
			navigation: {
				nextEl: '.swiper-button-next',
				prevEl: '.swiper-button-prev',
				clickable: true,
			},
			//Pagination
			pagination: {
				el: ".swiper-pagination",
				clickable: true,
			},
			speed: 500,
			breakpoints: {
				'1600': {
					slidesPerView: 1,
				},
				'1200': {
					slidesPerView: 1,
				},
				'992': {
					slidesPerView: 1,
				},
				'768': {
					slidesPerView: 1,
				},
				'576': {
					slidesPerView: 1,
				},
				'0': {
					slidesPerView: 1,
				},
			},
		});
		
		
		//Progress Bar
		if($('.progress-line').length){
			$('.progress-line').appear(function(){
				var el = $(this);
				var percent = el.data('width');
				$(el).css('width',percent+'%');
			},{accY: 0});
		}
	
	
		//Fact Counter + Text Count
		if($('.count-box').length){
			$('.count-box').appear(function(){
		
				var $t = $(this),
					n = $t.find(".count-text").attr("data-stop"),
					r = parseInt($t.find(".count-text").attr("data-speed"), 10);
					
				if (!$t.hasClass("counted")) {
					$t.addClass("counted");
					$({
						countNum: $t.find(".count-text").text()
					}).animate({
						countNum: n
					}, {
						duration: r,
						easing: "linear",
						step: function() {
							$t.find(".count-text").text(Math.floor(this.countNum));
						},
						complete: function() {
							$t.find(".count-text").text(this.countNum);
						}
					});
				}
				
			},{accY: 0});
		}
	
	};
	
	$(window).on('elementor/frontend/init', function () {
            elementorFrontend.hooks.addAction('frontend/element_ready/chartio_about_image.default', theme_carousel_js);
    });	

})(window.jQuery);