<?php

namespace CHARTIOPLUGIN\Element;

class Elementor {
	static $widgets = array(

		//Home Page
		'slider',
		'service_card',
		'float_image',
		'hero_title',
		'heading_widget',
		'funfacts',
		'feature_list',
		'button',
		'causes_grid',
		'causes_carousel',
		'icon_box',
		'clients',
		'accordian',
		'testimonials',
		'blog_grid',

		//Home Two Page
		'call_widget',
		'who_we_are',
		'about_image',
		'causes_tab',
		'event_grid',

		//Home Three Page
		'animation_images',


		//Inner Pages
		'team_grid',
		'gallery_grid',
		'testimonials_grid',
		'services_grid',
		'contact_info',
		'google_map',

	);

	static function init() {
		add_action( 'elementor/init', array( __CLASS__, 'loader' ) );
		add_action( 'elementor/elements/categories_registered', array( __CLASS__, 'register_cats' ) );
	}
	static function loader() {
		foreach ( self::$widgets as $widget ) {
			$file = CHARTIOPLUGIN_PLUGIN_PATH . '/elementor/' . $widget . '.php';
			if ( file_exists( $file ) ) {
				require_once $file;
			}
			add_action( 'elementor/widgets/register', array( __CLASS__, 'register' ) );
		}
	}

	static function register( $elemntor ) {
		foreach ( self::$widgets as $widget ) {
			$class = '\\CHARTIOPLUGIN\\Element\\' . ucwords( $widget );
			if ( class_exists( $class ) ) {
				$elemntor->register( new $class );
			}
		}
	}

	static function register_cats( $elements_manager ) {
		$elements_manager->add_category(
			'chartio',
			[
				'title' => esc_html__( 'Chartio', 'chartio' ),
				'icon'  => 'fa fa-plug',
			]
		);
		$elements_manager->add_category(
			'templatepath',
			[
				'title' => esc_html__( 'Template Path', 'chartio' ),
				'icon'  => 'fa fa-plug',
			]
		);
	}
}

Elementor::init();