<?php



//

// Create a section

CSF::createSection($prefix, array(

	'title'  => esc_html__("Chartio Banner Settings", "konia"),

	'fields' => array(

		array(

			'id'      => 'banner_source_type',

			'type'    => 'button_set',

			'title'   => esc_html__('Banner Source Type', 'chartio-plugin'),

			'options' => array(

				'd' => esc_html__('Default', 'chartio-plugin'),

				'e' => esc_html__('Elementor', 'chartio-plugin'),

			),

			'default' => '',

		),

		array(

			'id'       => 'banner_elementor_template',

			'type'     => 'select',

			'title'    => __('Template', 'viral-buzz'),

			'options'     => 'posts',

			'query_args'     => [

				'post_type' => ['elementor_library'],

				'posts_per_page' => -1,

			],

			'dependency' => ['banner_source_type', '==', 'e'],

		),

		array(

			'id'       => 'banner_page_banner',

			'type'     => 'switcher',

			'title'    => esc_html__('Show Banner', 'chartio-plugin'),

			'default'  => false,

			'dependency' => ['banner_source_type', '==', 'd'],

		),

		array(

			'id'       => 'banner_banner_title',

			'type'     => 'text',

			'title'    => esc_html__('Banner Section Title', 'chartio-plugin'),

			'desc'     => esc_html__('Enter the title to show in banner section', 'chartio-plugin'),

			'dependency' => array('banner_page_banner', '==', true),

		),

		array(

			'id'       => 'banner_page_background',

			'type'     => 'media',

			'url'      => true,

			'title'    => esc_html__('Background Image', 'chartio-plugin'),

			'desc'     => esc_html__('Insert background image for banner', 'chartio-plugin'),

			'default'  => '',

			'dependency' => array('banner_page_banner', '==', true),

		),

	)

));



