<?php


//
// Set a unique slug-like ID
$prefix = 'chartio_meta_team';
//
// Create a metabox
CSF::createMetabox( $prefix, array(
	'title'      	=> 'Chartio Team Setting',
	'icon'       	=> 'el el-cogs',
	'position'   	=> 'normal',
	'priority'   	=> 'core',
	'post_type' 	=> array( 'team' ),
	'show_restore'       => false,
	'context'            => 'advanced',
	'nav'                => 'normal',
	'theme'              => 'dark',
	'class'              => '',
) );
//
// Create a section
CSF::createSection($prefix, array(
	'fields' => array(
		array(
			'id'    => 'designation',
			'type'  => 'text',
			'title' => esc_html__( 'Designation', 'chartio-plugin' ),
		),
		//Team Contact Details
		array(
			'id'    => 'team_contact_info',
			'type'  => 'group',			
			'title' => esc_html__( 'Contact Details', 'chartio' ),
			'fields'	=> array(
				array(
					'id'    => 'team_contact_title',
					'type'  => 'text',
					'title' => esc_html__( 'Title', 'chartio' ),
					'desc'  => esc_html__( 'Enter the Contact Title', 'chartio' ),
				),
				array(
					'id'    => 'team_contact_detail',
					'type'  => 'text',
					'title' => esc_html__( 'Contact Info', 'chartio' ),
					'desc'  => esc_html__( 'Enter the Contact Info', 'chartio' ),
				),
			),
		),
		array(
			'id'    => 'team_social_titles',
			'type'  => 'text',
			'title' => esc_html__( 'Social Title', 'chartio-plugin' ),
		),	
		array(
			'id'    => 'social_profile',
			'type'  => 'group',
			'title' => esc_html__( 'Social Profiles', 'chartio-plugin' ),
			'fields'	=> array(
				array(
					'id'    => 'url',
					'type'  => 'text',
					'title' => esc_html__( 'URL', 'chartio-plugin' ),
				),
				array(
					'id'    => 'icon',
					'type'  => 'icon',
					'title' => esc_html__( 'Icon', 'chartio-plugin' ),
				),
				array(
					'id'    => 'background',
					'type'  => 'color',
					'title' => esc_html__( 'Background Color', 'chartio-plugin' ),
				),
				array(
					'id'    => 'color',
					'type'  => 'color',
					'title' => esc_html__( 'Color', 'chartio-plugin' ),
				),
			)
		),	
		//Personal Info		
		array(
			'id'    => 'team_personal_info_title',
			'type'  => 'text',
			'title' => esc_html__( 'Personal Info Title', 'chartio-plugin' ),			
		),
		array(
			'id'    => 'team_personal_info_description',
			'type'  => 'textarea',
			'title' => esc_html__( 'Personal Info Description', 'chartio-plugin' ),
		),	
	)
));
