<?php
//
// Set a unique slug-like ID
$prefix = 'chartio_meta_testimonials';
//
// Create a metabox
CSF::createMetabox( $prefix, array(
	'title'      	=> 'Chartio Testimonial Setting',
	'icon'       	=> 'el el-cogs',
	'position'   	=> 'normal',
	'priority'   	=> 'core',
	'post_type' 	=> array( 'testimonials' ),
	'show_restore'       => false,
	'context'            => 'advanced',
	'nav'                => 'normal',
	'theme'              => 'dark',
	'class'              => '',
) );
//
// Create a section
CSF::createSection($prefix, array(
	'fields' => array(
		array(
			'id'    => 'testi_author_name',
			'type'  => 'text',
			'title' => esc_html__( 'Author Name', 'chartio-plugin' ),
		),
		array(
			'id'    => 'test_designation',
			'type'  => 'text',
			'title' => esc_html__( 'Author Designation', 'chartio-plugin' ),
		),
		array(
			'id'    => 'testi_social_profile',
			'type'  => 'group',
			'title' => esc_html__( 'Social Profiles', 'chartio-plugin' ),
			'fields'	=> array(
				array(
					'id'    => 'url',
					'type'  => 'text',
					'title' => esc_html__( 'URL', 'chartio-plugin' ),
				),
				array(
					'id'    => 'icon',
					'type'  => 'icon',
					'title' => esc_html__( 'Icon', 'chartio-plugin' ),
				),
				array(
					'id'    => 'background',
					'type'  => 'color',
					'title' => esc_html__( 'Background Color', 'chartio-plugin' ),
				),
				array(
					'id'    => 'color',
					'type'  => 'color',
					'title' => esc_html__( 'Color', 'chartio-plugin' ),
				),
			)
		),
		array(
			'id'    => 'testimonial_rating',
			'type'  => 'select',
			'title' => esc_html__( 'Choose the Rating', 'chartio-plugin' ),
			'options'  => array(
				'1' => '1',
				'2' => '2',
				'3' => '3',
				'4' => '4',
				'5' => '5',
			),
		),		
	)
));
