<?php

namespace CHARTIOPLUGIN\Inc;
use CHARTIOPLUGIN\Inc\Abstracts\Taxonomy;
class Taxonomies extends Taxonomy {
	public static function init() {
		$labels = array(
			'name'              => _x( 'Project Category', 'wpchartio' ),
			'singular_name'     => _x( 'Project Category', 'wpchartio' ),
			'search_items'      => __( 'Search Category', 'wpchartio' ),
			'all_items'         => __( 'All Categories', 'wpchartio' ),
			'parent_item'       => __( 'Parent Category', 'wpchartio' ),
			'parent_item_colon' => __( 'Parent Category:', 'wpchartio' ),
			'edit_item'         => __( 'Edit Category', 'wpchartio' ),
			'update_item'       => __( 'Update Category', 'wpchartio' ),
			'add_new_item'      => __( 'Add New Category', 'wpchartio' ),
			'new_item_name'     => __( 'New Category Name', 'wpchartio' ),
			'menu_name'         => __( 'Project Category', 'wpchartio' ),
		);
		$args   = array(
			'hierarchical'       => true,
			'labels'             => $labels,
			'show_ui'            => true,
			'show_admin_column'  => true,
			'query_var'          => true,
			'public'             => true,
			'publicly_queryable' => true,
			'rewrite'            => array( 'slug' => 'project_cat' ),
		);
		register_taxonomy( 'project_cat', 'project', $args );
		
		//Services Taxonomy Start
		$labels = array(
			'name'              => _x( 'Service Category', 'wpchartio' ),
			'singular_name'     => _x( 'Service Category', 'wpchartio' ),
			'search_items'      => __( 'Search Category', 'wpchartio' ),
			'all_items'         => __( 'All Categories', 'wpchartio' ),
			'parent_item'       => __( 'Parent Category', 'wpchartio' ),
			'parent_item_colon' => __( 'Parent Category:', 'wpchartio' ),
			'edit_item'         => __( 'Edit Category', 'wpchartio' ),
			'update_item'       => __( 'Update Category', 'wpchartio' ),
			'add_new_item'      => __( 'Add New Category', 'wpchartio' ),
			'new_item_name'     => __( 'New Category Name', 'wpchartio' ),
			'menu_name'         => __( 'Service Category', 'wpchartio' ),
		);
		$args   = array(
			'hierarchical'       => true,
			'labels'             => $labels,
			'show_ui'            => true,
			'show_admin_column'  => true,
			'query_var'          => true,
			'public'             => true,
			'publicly_queryable' => true,
			'rewrite'            => array( 'slug' => 'service_cat' ),
		);
		register_taxonomy( 'service_cat', 'service', $args );
		
		//Testimonials Taxonomy Start
		$labels = array(
			'name'              => _x( 'Testimonials Category', 'wpchartio' ),
			'singular_name'     => _x( 'Testimonials Category', 'wpchartio' ),
			'search_items'      => __( 'Search Category', 'wpchartio' ),
			'all_items'         => __( 'All Categories', 'wpchartio' ),
			'parent_item'       => __( 'Parent Category', 'wpchartio' ),
			'parent_item_colon' => __( 'Parent Category:', 'wpchartio' ),
			'edit_item'         => __( 'Edit Category', 'wpchartio' ),
			'update_item'       => __( 'Update Category', 'wpchartio' ),
			'add_new_item'      => __( 'Add New Category', 'wpchartio' ),
			'new_item_name'     => __( 'New Category Name', 'wpchartio' ),
			'menu_name'         => __( 'Testimonials Category', 'wpchartio' ),
		);
		$args   = array(
			'hierarchical'       => true,
			'labels'             => $labels,
			'show_ui'            => true,
			'show_admin_column'  => true,
			'query_var'          => true,
			'public'             => true,
			'publicly_queryable' => true,
			'rewrite'            => array( 'slug' => 'testimonials_cat' ),
		);
		register_taxonomy( 'testimonials_cat', 'testimonials', $args );
		
		
		//Team Taxonomy Start
		$labels = array(
			'name'              => _x( 'Team Category', 'wpchartio' ),
			'singular_name'     => _x( 'Team Category', 'wpchartio' ),
			'search_items'      => __( 'Search Category', 'wpchartio' ),
			'all_items'         => __( 'All Categories', 'wpchartio' ),
			'parent_item'       => __( 'Parent Category', 'wpchartio' ),
			'parent_item_colon' => __( 'Parent Category:', 'wpchartio' ),
			'edit_item'         => __( 'Edit Category', 'wpchartio' ),
			'update_item'       => __( 'Update Category', 'wpchartio' ),
			'add_new_item'      => __( 'Add New Category', 'wpchartio' ),
			'new_item_name'     => __( 'New Category Name', 'wpchartio' ),
			'menu_name'         => __( 'Team Category', 'wpchartio' ),
		);
		$args   = array(
			'hierarchical'       => true,
			'labels'             => $labels,
			'show_ui'            => true,
			'show_admin_column'  => true,
			'query_var'          => true,
			'public'             => true,
			'publicly_queryable' => true,
			'rewrite'            => array( 'slug' => 'team_cat' ),
		);
		register_taxonomy( 'team_cat', 'team', $args );
		
		//Faqs Taxonomy Start
		$labels = array(
			'name'              => _x( 'Faqs Category', 'wpchartio' ),
			'singular_name'     => _x( 'Faq Category', 'wpchartio' ),
			'search_items'      => __( 'Search Category', 'wpchartio' ),
			'all_items'         => __( 'All Categories', 'wpchartio' ),
			'parent_item'       => __( 'Parent Category', 'wpchartio' ),
			'parent_item_colon' => __( 'Parent Category:', 'wpchartio' ),
			'edit_item'         => __( 'Edit Category', 'wpchartio' ),
			'update_item'       => __( 'Update Category', 'wpchartio' ),
			'add_new_item'      => __( 'Add New Category', 'wpchartio' ),
			'new_item_name'     => __( 'New Category Name', 'wpchartio' ),
			'menu_name'         => __( 'Faq Category', 'wpchartio' ),
		);
		$args   = array(
			'hierarchical'       => true,
			'labels'             => $labels,
			'show_ui'            => true,
			'show_admin_column'  => true,
			'query_var'          => true,
			'public'             => true,
			'publicly_queryable' => true,
			'rewrite'            => array( 'slug' => 'faqs_cat' ),
		);
		register_taxonomy( 'faqs_cat', 'faqs', $args );
	}
	
}
